<%@ Page language="c#" Codebehind="ActiveTickets.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.ActiveTickets" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server" EnableViewState="false">
	<link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
	<link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
	<link href="js/jquery.treeview.css" type="text/css" rel="Stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder2" id="Content1" runat="server">

<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<div class="lightbg toparea">

<button type="button" onclick="document.location.href='NewIssue.aspx'"><img src="images/Add.png" alt="" />&nbsp; <asp:Label ID="lblNew" runat="server" meta:resourcekey="lblNewResource1">New ticket</asp:Label></button>
<button type="button" onclick="document.location.href='Search.aspx'"><img src="images/Search.png" alt="" />&nbsp; <asp:Label ID="lblSearch" runat="server" EnableViewState="false" meta:resourcekey="lblSearchResource1">Search</asp:Label>...</button>
<div class="grey" id="divNews" runat="server" visible="false" enableviewstate="false"><asp:Label ID="lblLatestNews" runat="server"></asp:Label>...<br /><a href="News.aspx">more news...</a></div>

<br style="clear:both" />

<ul class="tabmenu2">
<li runat="server" id="liUnanswered" enableviewstate="false">
	<a href='ActiveTickets.aspx?mode=Unanswered&CategoryID=<%= Request.QueryString["CategoryID"] %>&HandledByUserID=<%= Request.QueryString["HandledByUserID"] %>&FromUserID=<%= Request.QueryString["FromUserID"] %>&FromCompanyID=<%= Request.QueryString["FromCompanyID"] %>'><asp:Label ID="lblUnanswered" runat="server" EnableViewState="False" meta:resourcekey="lblUnansweredResource1">unanswered tickets</asp:Label></a>
</li>
<li runat="server" id="liUnclosed" enableviewstate="false">
	<a href='ActiveTickets.aspx?mode=Unclosed&CategoryID=<%= Request.QueryString["CategoryID"] %>&HandledByUserID=<%= Request.QueryString["HandledByUserID"] %>&FromUserID=<%= Request.QueryString["FromUserID"] %>&FromCompanyID=<%= Request.QueryString["FromCompanyID"] %>'><asp:Label ID="lblUnclosedIssues" runat="server" EnableViewState="False" meta:resourcekey="lblUnclosedIssuesResource1">unclosed tickets</asp:Label></a>
</li>
<li runat="server" id="liUnclosedAssigned" enableviewstate="false">
	<a href='ActiveTickets.aspx?mode=AssignedToUser&CategoryID=<%= Request.QueryString["CategoryID"] %>&HandledByUserID=<%= Request.QueryString["HandledByUserID"] %>&FromUserID=<%= Request.QueryString["FromUserID"] %>&FromCompanyID=<%= Request.QueryString["FromCompanyID"] %>'><asp:Label ID="lblUnclosedAssignedTo" runat="server" EnableViewState="False" meta:resourcekey="lblUnclosedAssignedToResource1">tickets you handle</asp:Label></a>
</li>
<li runat="server" id="liSubmitted" enableviewstate="false">
	<a href='ActiveTickets.aspx?mode=SubmittedByUser&CategoryID=<%= Request.QueryString["CategoryID"] %>&HandledByUserID=<%= Request.QueryString["HandledByUserID"] %>&FromUserID=<%= Request.QueryString["FromUserID"] %>&FromCompanyID=<%= Request.QueryString["FromCompanyID"] %>'><asp:Label ID="lblSubmitted" runat="server" EnableViewState="False" meta:resourcekey="lblSubmittedResource1">tickets you submitted</asp:Label></a>
</li>
<li runat="server" id="liShowAll" enableviewstate="false">
	<a href='ActiveTickets.aspx?mode=ShowAll&CategoryID=<%= Request.QueryString["CategoryID"] %>&HandledByUserID=<%= Request.QueryString["HandledByUserID"] %>&FromUserID=<%= Request.QueryString["FromUserID"] %>&FromCompanyID=<%= Request.QueryString["FromCompanyID"] %>'><asp:Label ID="lblShowAll" runat="server" EnableViewState="False" meta:resourcekey="lblShowAllResource1">show all (including closed)</asp:Label></a>
</li></ul>
</div>


<table cellpadding="6" width="100%" style="clear:both;">
<tr valign="top">
<td style="width:250px;">
	<table class="outerborder lightbg" visible="false" id="tblShowFrom" runat="server" enableviewstate="false" cellpadding="5" style="width:250px; margin-bottom:10px">
	<tr><th>
		
		<h3 id="spanShowFrom" style="float:left;display:inline" runat="server"></h3>
		<a style="color:red;float:right;" href="ActiveTickets.aspx?CategoryID=<%= Request.QueryString["CategoryID"] %>&mode=<%= Request.QueryString["mode"] %>" title="show all">x</a>
	</th></tr>
	</table>
	
	<table cellpadding="5" class="graphtable lightbg" style="width:250px;margin-bottom:15pt" id="tblCategories" runat="server" enableviewstate="false">
		<tr valign="top">
			<td><asp:repeater id="rptCategories" runat="server" EnableViewState="False">
				<HeaderTemplate>
					<ul id="treeList"><li><b><a title="show tickets from all categories" class='<%# (string.IsNullOrEmpty(Request.QueryString["CategoryID"]) || Request.QueryString["CategoryID"]=="0")
									&& (string.IsNullOrEmpty(Request.QueryString["SectionID"]) || Request.QueryString["SectionID"]=="0") ? "selected" : "" %>'
						href='ActiveTickets.aspx?CategoryID=0&UserID=<%# Request.QueryString["UserID"] %>&mode=<%# Request.QueryString["mode"] %>'>
						<asp:label ID="lblAllCategories" EnableViewState="False" runat="server" meta:resourcekey="lblAllCategoriesResource1">all categories</asp:label></b></a><ul>
				</HeaderTemplate>
				<ItemTemplate>
					<%# RenderTree(Eval("Section"), Eval("SectionID"),
							"<b><a href='ActiveTickets.aspx?SectionID={1}&HandledByUserID=" + Request.QueryString["HandledByUserID"] + "&FromUserID=" + Request.QueryString["FromUserID"] + "&UserID=" + Request.QueryString["UserID"] + "&mode=" + Request.QueryString["mode"] + "' " + (Eval("SectionID").ToString() == Request.QueryString["SectionID"] ? "class='selected'" : "") + " >{0}</a></b>")%>
					<li><a href='ActiveTickets.aspx?CategoryID=<%# Eval("CategoryID") %>&HandledByUserID=<%# Request.QueryString["HandledByUserID"] %>&FromUserID=<%# Request.QueryString["FromUserID"] %>&FromCompanyID=<%# Request.QueryString["FromCompanyID"] %>&mode=<%# Request.QueryString["mode"] %>'
					class='<%# Eval("CategoryID").ToString()==Request.QueryString["CategoryID"] ? "selected" : "" %>' >
						<%# Eval("Name") %>
						<b><%# ((int)Eval("IssuesCount"))>0 ? ("(" + Eval("IssuesCount") + ")") : "" %></b>
					</a></li></ItemTemplate>
				<FooterTemplate>
					<%= RenderTreeEnd() %></ul></li></ul>
				</FooterTemplate>
			</asp:repeater>
			</td>
		</tr>
	</table>
	
	<table cellpadding="5" id="tblFilter" style="width:250px;margin-bottom:15pt" class="grey outerborder lightbg" runat="server" enableviewstate="false">
		<tr><td align="right"><asp:Label ID="lblFrom" runat="server" EnableViewState="false" meta:resourcekey="lblFromResource1">From:</asp:Label></td>
			<td width="100%"><asp:TextBox ID="tbDateFrom" Width="100%" runat="server" CssClass="datepick" EnableViewState="false"></asp:TextBox></td>
			<td></td>
		</tr>
		<tr><td align="right"><asp:Label ID="lblTo" runat="server" EnableViewState="false" meta:resourcekey="lblToResource1">to:</asp:Label></td>
			<td><asp:TextBox ID="tbDateTo" runat="server" Width="100%" CssClass="datepick" EnableViewState="false"></asp:TextBox></td>
			<td></td>
		</tr>
		<tr><td></td><td><asp:CheckBox runat="server" ID="cbUnassigned" meta:resourcekey="lblUnassignedResource1" Text="unassigned tickets only"/></td>
			<td><asp:ImageButton CssClass="button" ImageUrl="images/refresh.png" ID="btnFilterRefresh" BorderWidth="1" OnClick="btnFilterRefresh_Click" runat="server" EnableViewState="false" /></td>
		</tr>
	</table>

	<div class="grey" id="divStats" enableviewstate="false" runat="server" style="float:right;text-align:right">
		<asp:label ID="lblNewTickets" runat="server" meta:resourcekey="lblNewTicketsResource1">New tickets</asp:label>: <%= NewTicketsCount %><br />
		<asp:label ID="lblInProgressTickets" runat="server" meta:resourcekey="lblInProgressTicketsResource1">Tickets in progress</asp:label>: <%= TicketsInProgressCount %><br />
		<asp:label ID="lblTotalTickets" runat="server" meta:resourcekey="lblTotalTicketsResource1">Total tickets</asp:label>: <%= TotalTicketsCount %><br />
		<asp:label ID="lblResolvedTickets" runat="server" meta:resourcekey="lblResolvedTicketsResource1">Resolved tickets</asp:label>: <%= ResolvedTicketsCount %>
	</div>
</td>
<td style="width:100%">
	<asp:label id="lblNoIssues" runat="server" Visible="False" CssClass="grey" EnableViewState="False" meta:resourcekey="lblNoIssuesResource1">This page shows a list of tickets in the system you're allowed to see. Currenly no tickets found (or not enough permissions). Start by submitting a <a href="NewIssue.aspx">new ticket</a>.</asp:label>

	<asp:UpdatePanel ID="updPanel1" runat="server"><ContentTemplate>
	<asp:DataGrid id="gridIssues" runat="server" EnableViewState="false" AutoGenerateColumns="False"
		Width="100%" CellPadding="5" CssClass="horizseparated lightbg sortable outerborder" OnItemDataBound="gridIssues_ItemDataBound"
		UseAccessibleHeader="true" ShowFooter="true" GridLines="None">
		<HeaderStyle CssClass="nobold" Wrap="false"></HeaderStyle>
		<FooterStyle CssClass="gradientbg sortbottom" />
		<ItemStyle Height="55px" CssClass="ticketRow" />
		<AlternatingItemStyle CssClass="alternativeLightbg ticketRow" />
		<Columns>
			<asp:TemplateColumn HeaderText="Ticket" meta:resourcekey="colIssueResource1">
				<HeaderStyle Width="100%"></HeaderStyle>
				<ItemStyle />
				<ItemTemplate>
					<span class="commentsAttr" style="float:right"><%# (int)Eval("StatusID")==1 ? "<img src='images/new.gif\' alt='new' />" : "" %>
						<%# (bool)Eval("UpdatedByUser") ? "<img src='images/updated_customer.gif' alt='updated' />" : "" %>
						<%# (bool)Eval("UpdatedByPerformer") ? "<img src='images/updated_tech.gif' alt='updated' />" : "" %> #<%# Eval("IssueID") %></span>
					<b><a onclick="TicketHrefClick(event)" href='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>'><%# Eval("Subject") %></a></b>
					<div class="grey">
						<%# Eval("Category") %>
						<a class="grey" href="ViewUser.aspx?UserID=<%# Eval("UserID") %>"><%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName"))%></a>
					</div>
				</ItemTemplate>
				<FooterStyle HorizontalAlign="Right" CssClass="grey" />
				<FooterTemplate><a href="javascript:void(0)" onclick="ClickMore();">more...</a></FooterTemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Priority" meta:resourcekey="colPriorityResource1" ItemStyle-CssClass="grey">
				<ItemTemplate>
					<asp:Label ID="lblPriority" runat="server" EnableViewState="False" ForeColor='<%# HelpDesk.HDPage.GetColorByPriority((HelpDesk.BusinessLayer.TicketPriority)Convert.ToInt64(Eval("Priority"))) %>'><%# HelpDesk.BusinessLayer.TicketUtils.GetPriorityDescription((HelpDesk.BusinessLayer.TicketPriority)Convert.ToInt64(Eval("Priority"))) %></asp:Label>
				</ItemTemplate>
				<FooterStyle HorizontalAlign="Right" CssClass="grey" />
				<FooterTemplate>
					<!--footer toolbar. colspan is added in codebehind -->
					<a href="javascript:void(0)" onclick="DeleteSeletedTickets();" title="Delete selected tickets"><asp:Label runat="server" meta:resourcekey="lblDeleteResource1" EnableViewState="false">delete</asp:Label>...</a>
					| <a href="javascript:void(0)" onclick="CloseSeletedTickets();" title="Close selected tickets"><asp:Label runat="server" meta:resourcekey="lblCloseResource1" EnableViewState="false">close</asp:Label>...</a>
					| <a href="javascript:void(0)" onclick="ShowHideAssignBlock();" title="Assign selected tickets to"><asp:Label runat="server" meta:resourcekey="lblAssignResource1" EnableViewState="false">assign</asp:Label>...</a>
					| <a href="javascript:void(0)" onclick="ShowHidePriorityBlock();" title="Change selected tickets priority"><asp:Label runat="server" meta:resourcekey="lblPriorityResource1" EnableViewState="false">change priority</asp:Label>...</a>
					| <a href="javascript:void(0)" onclick="MergeSelected();" title="Merge selected tickets"><asp:Label runat="server" meta:resourcekey="lblMergeResource1" EnableViewState="false">merge</asp:Label>...</a>
					| <a href="javascript:void(0)" onclick="LinkSelected();" title="Link selected tickets as &quot;related&quot;"><asp:Label runat="server" meta:resourcekey="lblLinkResource1" EnableViewState="false">bind</asp:Label>...</a>
				</FooterTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Status" ItemStyle-CssClass="grey" HeaderText="Status" meta:resourcekey="colStatusResource1">
				<ItemStyle Wrap="False"></ItemStyle>
			</asp:BoundColumn>
			<asp:BoundColumn DataField="IssueDate" ItemStyle-CssClass="grey" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="DueDate" ItemStyle-CssClass="grey" HeaderText="Due" DataFormatString="{0:d}" meta:resourcekey="colDueDateResource1"></asp:BoundColumn>
			<asp:TemplateColumn ItemStyle-CssClass="grey" HeaderStyle-Wrap="false" HeaderText="Handled by" meta:resourcekey="colTechnicianResource1">
				<ItemTemplate><%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("Technician"), Eval("TechFirstName"), Eval("TechLastName"))%></ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="LastUpdated" ItemStyle-CssClass="grey" HeaderStyle-Wrap="false" HeaderText="Last updated" DataFormatString="{0:g}" meta:resourcekey="colLastUpdatedResource1"></asp:BoundColumn>
			<asp:TemplateColumn>
				<HeaderStyle HorizontalAlign="Center" CssClass="zeroverticalpadding sorttable_nosort" />
				<HeaderTemplate><input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUnchekAllTickets();" /></HeaderTemplate>
				<ItemTemplate><input type="checkbox" name='cbDel<%# Eval("IssueID") %>' onclick="TicketHrefClick(event)" value="1" /></ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn Visible="False" DataField="IssueID"></asp:BoundColumn>
		</Columns>
	</asp:DataGrid>
	<asp:Button ID="btnMore" runat="server" OnClick="btnMore_Click" style="display:none" /><!-- this btn is clicked programmatically by JS-->
	</ContentTemplate></asp:UpdatePanel>
	
	<%--ivisible btns--%>
	<asp:Button ID="btnDel" style="display:none" runat="server" OnClick="btnDel_Click" EnableViewState="false"></asp:Button>
	<asp:Button ID="btnMerge" style="display:none" runat="server" OnClick="btnMerge_Click" EnableViewState="false"></asp:Button>
	<asp:Button ID="btnLink" style="display:none" runat="server" OnClick="btnLink_Click" EnableViewState="false"></asp:Button>
	<asp:Button ID="btnClose" style="display:none" runat="server" OnClick="btnClose_Click" EnableViewState="false"></asp:Button>
	
	<div id="divAssignTo" style="display:none;float:right">
		<asp:DropDownList id="ddlUsers" runat="server" DataTextField="UserName" DataValueField="UserID"></asp:DropDownList>
		<asp:Button ID="btnAssign" OnClick="btnAssign_Click" runat="server" Text="assign" EnableViewState="false" meta:resourcekey="lblAssignResource1" />
	</div>
	<div id="divPriority" style="display:none;float:right">
		<asp:DropDownList ID="ddlPriority" runat="server" EnableViewState="false">
			<asp:ListItem style="color:Gray" Value="-1"></asp:ListItem>
			<asp:ListItem style="color:Green" Value="0" Selected="True"></asp:ListItem>
			<asp:ListItem style="color:Red" Value="1"></asp:ListItem>
		</asp:DropDownList>
		<asp:Button ID="btnChangePriority" OnClick="btnChangePriority_Click" runat="server" Text="change priority" EnableViewState="false" meta:resourcekey="lblPriorityResource1" />
	</div>	
</td>
</tr>
</table>

<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript" src="js/jquery.treeview.js"></script>
<script type="text/javascript">
	//tree init
	$(document).ready(function () {
		$("#treeList").treeview();
	});

	//datepicker init
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});

	function CheckUnchekAllTickets() {
		var chk = false;
		if (document.getElementById("cbDelAll").checked)
			chk = true;
		$("INPUT[type='checkbox'][name ^= 'cbDel' ]").attr('checked', chk);
	}
	function ShowHideAssignBlock() {
		if (!$("#divAssignTo").is(":visible")) $("#divAssignTo").show();
		else $("#divAssignTo").hide();
	}
	function ShowHidePriorityBlock() {
		if (!$("#divPriority").is(":visible")) $("#divPriority").show();
		else $("#divPriority").hide();
	}
	function DeleteSeletedTickets() {
		if (!confirm("Are you sure you want to delete the selected tickets?")) return;
		$("#<%= btnDel.ClientID %>").click();
	}
	function CloseSeletedTickets() {
		if (!confirm("Are you sure you want to close the selected tickets?")) return;
		$("#<%= btnClose.ClientID %>").click();
	}
	function MergeSelected() {
		if (!confirm("Are you sure you want to merge the selected tickets?")) return;
		$("#<%= btnMerge.ClientID %>").click();
	}
	function LinkSelected() {
		if (!confirm("Are you sure you want to link the selected tickets?")) return;
		$("#<%= btnLink.ClientID %>").click();
	}
	function ClickMore() {
		$("#<%= btnMore.ClientID %>").click();
	}

	var globalStopper = false;
	function TicketHrefClick(evt) {
		globalStopper = true;
	}
	function TicketClick(ticketId) {
		if (!globalStopper)
			window.location = 'ViewIssue.aspx?IssueID=' + ticketId;
		else
			globalStopper = false;
	}
</script>

</asp:Content>
