﻿<%@ Page Title="" Language="C#" MasterPageFile="HelpDeskMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="AdminCustomFields.aspx.cs" Inherits="HelpDesk.AdminCustomFields" %>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
    <p><strong><a href="Admin.aspx">Administration</a> &raquo;
	    <asp:Label ID="lblCustomFields" runat="server" EnableViewState="False" meta:resourcekey="lblCustomFieldsResource1">Custom fields</asp:Label></strong></p>
	    
	<p>"Custom Fields" are additional properties you want your tickets to have.
	For example, you might want to add a field named "Computer model" to your tickets, so the user fills this field when submitting a new ticket.</p>

    <asp:datagrid id="gridCustomFields" runat="server" CssClass="graphtable lightbg outerborder" CellPadding="7" Width="100%"
		EnableViewState="False" AutoGenerateColumns="False" OnItemCommand="gridCustomFields_ItemCommand" OnItemDataBound="gridCustomFields_ItemDataBound" UseAccessibleHeader="true">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:BoundColumn Visible="False" DataField="FieldID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="FieldID" DataNavigateUrlFormatString="AdminEditCustomField.aspx?FieldID={0}"
				DataTextField="FieldName" HeaderText="Field" HeaderStyle-Width="100%">
			</asp:HyperLinkColumn>
            <asp:TemplateColumn HeaderText="Type">
                <ItemTemplate>
                    <%# ((HelpDesk.BusinessLayer.CustomFieldType)Convert.ToInt32(Eval("Type"))).ToString() %>
                </ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn HeaderStyle-Wrap="false" DataField="OrderByNumber" HeaderText='"Order by" number'></asp:BoundColumn>
			<asp:ButtonColumn Text="<img src='images/delete.png' alt='' />" CommandName="delete" meta:resourcekey="ButtonColumnResource1"></asp:ButtonColumn>
		</Columns>
	</asp:datagrid><br />
    <div class="addBox">
	* <asp:Label ID="lblCreateNew" runat="server" EnableViewState="False" meta:resourcekey="lblCreateNewResource1">New custom field name:</asp:Label>
	<asp:textbox id="tbFieldName" runat="server"></asp:textbox>
	&nbsp;
	<asp:Label ID="lblType" runat="server" EnableViewState="False" meta:resourcekey="lblTypeResource1">Type:</asp:Label>
	<asp:DropDownList ID="ddlType" runat="server">
	    <asp:ListItem Value="1" Text="Text"></asp:ListItem>
	    <asp:ListItem Value="2" Text="Date"></asp:ListItem>
	    <asp:ListItem Value="3" Text="Selection combo"></asp:ListItem>
	</asp:DropDownList>
	<asp:CheckBox ID="cbTechOnly" runat="server" EnableViewState="false" Text="Only for technicians" meta:resourcekey="cbTechOnlyResource1"/>
	<asp:CheckBox ID="cbMandatory" runat="server" EnableViewState="false" Text="Mandatory" meta:resourcekey="cbMandatoryResource1"/>
	&nbsp;
	<asp:Label ID="lblOrderBy" runat="server" EnableViewState="False" meta:resourcekey="lblOrderByResource1">Order by:</asp:Label>
	<asp:TextBox ID="tbOrderBy" runat="server"></asp:TextBox>
	<asp:button id="btnAddField" runat="server" CssClass="gradientbg" Text="add new" OnClick="btnAddField_Click" meta:resourcekey="btnAddFieldResource1"></asp:button>
    </div>
</asp:Content>
