<%@ Page language="c#" Codebehind="AdminEditCategory.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminEditCategory" MasterPageFile="HelpDeskMaster.Master" EnableEventValidation="false" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Admin.aspx">Administration</a> &raquo;
	    <a href="AdminCategories.aspx"><asp:Label ID="lblCategories" runat="server" EnableViewState="False" meta:resourcekey="lblCategoriesResource1">Categories</asp:Label></a>
		&raquo; <asp:Label ID="lblEdit" runat="server" EnableViewState="False" meta:resourcekey="lblEditResource1">Edit category</asp:Label></strong></p>
	
	<table class="outerborder lightbg grey" cellpadding="9">
	<tr>
	    <td align="right"><asp:Label ID="lblName" runat="server" EnableViewState="False" meta:resourcekey="lblNameResource1">Category name:</asp:Label></td>
	    <td><asp:TextBox id="tbName" MaxLength="50" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
	    <td align="right"><asp:Label ID="lblSection" runat="server" EnableViewState="False" meta:resourcekey="lblSectionResource1">Category section:</asp:Label></td>
	    <td><asp:DropDownList runat="server" ID="ddlSection" DataTextField="Name" DataValueField="SectionID"></asp:DropDownList></td>
	</tr>
	<tr>
	    <td></td>
	    <td style="white-space:nowrap"><asp:CheckBox ID="cbTechsOnly" runat="server" Text="For technician use only (hidden from users)" meta:resourcekey="cbTechsOnlyResource1" /></td>
	</tr>
	<tr>
	    <td></td><td><asp:Button id="btnSave" runat="server" Text="save" CssClass="gradientbg" onclick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button></td>
	</tr>
	</table>

	<p><asp:Label ID="lblUsersWithAccess" runat="server" EnableViewState="False" meta:resourcekey="lblUsersWithAccessResource1">Users with access to this category (click on a username to add/remove):</asp:Label></p>
	<table style="width:500px;height:300px;" cellpadding="6" class="graphtable lightbg grey">
		<tr>
			<th width="50%"><asp:Label ID="lblWithAccess" runat="server" EnableViewState="False" meta:resourcekey="lblWithAccessResource1">Users with access</asp:Label></th>
			<th><asp:Label ID="lblWithoutAccess" runat="server" EnableViewState="False" meta:resourcekey="lblWithoutAccessResource1">Users without access</asp:Label></th>
		</tr>
		<tr valign="top">
			<td>
				<div style="overflow:auto;height:280px">
					<asp:Repeater id="rptAllowed" runat="server" OnItemCommand="rptAllowed_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnDenyAccess" CommandName="deny" CommandArgument='<%# Eval("UserID") %>'><%# Eval("Username") %></asp:linkbutton><%# Eval("LastName").ToString() == "" ? "" : "&nbsp;(" + Eval("FirstName") + " " + Eval("LastName") + ")"%>;<br />
						</ItemTemplate>
					</asp:Repeater>
				</div>
				<asp:LinkButton ID="btnRemoveAll" runat="server" onclick="btnRemoveAll_Click">Remove all</asp:LinkButton>
			</td>
			<td>
			    <div style="overflow:auto;height:280px;">
					<asp:Repeater id="rptDenied" runat="server" OnItemCommand="rptDenied_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnGrantAccess" CommandName="grant" CommandArgument='<%# Eval("UserID") %>'><%# Eval("Username") %></asp:linkbutton><%# Eval("LastName").ToString() == "" ? "" : "&nbsp;(" + Eval("FirstName") + " " + Eval("LastName") + ")"%>;<br />
						</ItemTemplate>
					</asp:Repeater>
				</div>
				<asp:LinkButton ID="btnAddAll" runat="server" onclick="btnAddAll_Click">Add all</asp:LinkButton>
			</td>
		</tr>
	</table>
	<p><asp:Label ID="lblNote1" runat="server" EnableViewState="False" meta:resourcekey="lblNote1Resource1">NOTE: Users who have "access" to the category - deal with the tickets in 
		the category. They have permission to review the list of active tickets in the 
		category, "takeover" an ticket (or be "assigned to" an ticket by the 
		administrator). Also these users get notified (by email) of every new ticket 
		submitted to the category.</asp:Label></p>
</asp:Content>
