<%@ Page language="c#" Codebehind="AdminEditUser.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminEditUser" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Register TagPrefix="cm" TagName="CompanyTextBox" Src="~/CompanyTextBox.ascx" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>

<asp:Content runat="server" ContentPlaceHolderID="head">
<link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Admin.aspx">Administration</a> &raquo;
	    <a href="AdminUsers.aspx"><asp:Label ID="lblUsers" runat="server" EnableViewState="False" meta:resourcekey="lblUsersResource1">Users</asp:Label></a> &raquo;
	    <asp:Label ID="lblEditUser" runat="server" EnableViewState="False" meta:resourcekey="lblEditUserResource1">Edit user</asp:Label></strong></p>
	
	<table cellpadding="7" class="lightbg outerborder grey" style="float:left;margin-right:15px;margin-bottom:15px">
	    <tr>
	        <th colspan="4">
	            <asp:Label ID="lblEditUser2" runat="server" EnableViewState="false" meta:resourcekey="lblEditUserResource1">Edit user</asp:Label>
	            - <a id="lnkUser" runat="server"></a>
	        </th>
	    </tr>
		<tr>
			<td>*<asp:Label ID="lblUsername" AssociatedControlID="tbUsername"  runat="server" EnableViewState="False" meta:resourcekey="lblUsernameResource1">Username:</asp:Label></td>
			<td>
			    <asp:RequiredFieldValidator ID="reqUsername" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="tbUsername"></asp:RequiredFieldValidator>
			    <asp:TextBox id="tbUsername" runat="server"></asp:TextBox>
			</td>
			<td>*<asp:Label ID="lblEmail" AssociatedControlID="tbEmail"  runat="server" EnableViewState="False" meta:resourcekey="lblEmailResource1">Email:</asp:Label></td>
			<td>
			    <asp:RequiredFieldValidator ID="reqEmail" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="tbEmail"></asp:RequiredFieldValidator>
			    <asp:TextBox id="tbEmail" runat="server"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td><asp:Label ID="lblFirstName" AssociatedControlID="tbFirstName"  runat="server" EnableViewState="False" meta:resourcekey="lblFirstNameResource1">First name:</asp:Label></td>
			<td><asp:TextBox id="tbFirstName" runat="server"></asp:TextBox></td>
			<td><asp:Label ID="lblLastName" AssociatedControlID="tbLastName"  runat="server" EnableViewState="False" meta:resourcekey="lblLastNameResource1">Last name:</asp:Label></td>
			<td><asp:TextBox id="tbLastName" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td><asp:Label ID="lblPhone" AssociatedControlID="txPhone" runat="server" EnableViewState="False" meta:resourcekey="lblPhoneResource1">Phone number:</asp:Label></td>
			<td><asp:TextBox id="txPhone" runat="server"></asp:TextBox></td>
			<td><asp:Label ID="lblLocation" AssociatedControlID="txLocation"  runat="server" EnableViewState="False" meta:resourcekey="lblLocationResource1">Location:</asp:Label></td>
			<td><asp:TextBox id="txLocation" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td><asp:Label ID="lblCompany" AssociatedControlID="tbCompany" runat="server" EnableViewState="False" meta:resourcekey="lblCompanyResource1">Company:</asp:Label></td>
			<td><cm:CompanyTextBox runat="server" id="tbCompany"></cm:CompanyTextBox></td>
			<td><asp:Label ID="lblLanguage" AssociatedControlID="llLang" runat="server" EnableViewState="False"  meta:resourcekey="lblLanguageResource1">Language:</asp:Label></td>
			<td><ll:LanguageList ID="llLang" runat="server" EnableViewState="false" AllowEmpty="True" /></td>
		</tr>
		<tr>
			<td colspan="2"><asp:CheckBox runat="server" ID="cbSendEmail" Text="Enable email notifications" meta:resourcekey="cbSendEmailResource1" /></td>
			<td colspan="2"><asp:CheckBox id="cbIsAdmin" runat="server" Text="Is Administrator" meta:resourcekey="cbIsAdminResource1"></asp:CheckBox></td>
		</tr>
		<tr>
			<td colspan="4">
			    <asp:Label ID="lblNotes" AssociatedControlID="tbNotes"  runat="server" EnableViewState="False" meta:resourcekey="lblNotesResource1">Other notes (from admin):</asp:Label>
			    <br />
			    <asp:TextBox ID="tbNotes" runat="server" EnableViewState="false" TextMode="MultiLine" Width="100%" Rows="7"></asp:TextBox>
			</td>
		</tr>
		<tr>
			<td colspan="4">
				<asp:CheckBox id="cbDisabled" runat="server" Text="Disable" meta:resourcekey="cbDisabledResource1"></asp:CheckBox></td>
		</tr>
		<tr>
			<td colspan="4" align="center">
				<asp:Button id="btnSave" runat="server" Text="save" Width="250px" CssClass="gradientbg" onclick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button></td>
		</tr>
		<tr>
			<td colspan="4" align="center">
				<asp:Button id="btnDelete" runat="server" Text="delete user" Width="250px" onclick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete the user?\nAll his tickets, all his files and comments will also be DELETED!\nThere is no Undo.')" meta:resourcekey="btnDeleteResource1" EnableViewState="False"></asp:Button>
				<br /><br />
				<asp:Button ID="btnADSync" CausesValidation="false" Width="250px" EnableViewState="False" runat="server" text="update user details from Active Directory" meta:resourcekey="btnADSyncResource1" OnClick="btnADSync_Click" />
				<asp:Label ID="lblADResult" EnableViewState="False" runat="server" Visible="false"></asp:Label>
				<asp:label id="lblEmailTaken" runat="server" Visible="false" EnableViewState="false" ForeColor="Red">email already taken</asp:label>
				<asp:Label id="lblErrorDeleting" runat="server" Visible="False" EnableViewState="False" ForeColor="Red" meta:resourcekey="lblErrorDeletingResource1">An error occured while trying to delete this user!!! The user might have tickets assigned to him.</asp:Label>
			</td>
		</tr>
	</table>

	<table cellpadding="7" class="lightbg outerborder grey" style="margin-bottom:15px">
	<tr><th colspan="2">Change password</th></tr>
	<tr><td>New password:</td><td><asp:TextBox TextMode="Password" ID="tbPass" runat="server" EnableViewState="false"></asp:TextBox></td></tr>
	<tr><td>Confirm new password:</td><td><asp:TextBox TextMode="Password" ID="tbPassConfirm" runat="server" EnableViewState="false"></asp:TextBox></td></tr>
	<tr><td></td><td>
		<asp:Button ID="btnChangePassword" runat="server" OnClick="btnChangePassword_Click" Text="OK" />
		<asp:Label ID="lblPswResult" runat="server" Visible="false" EnableViewState="false" Text="OK" ForeColor="Red"></asp:Label>
	</td></tr>
	</table>

	<table style="width:550px;height:200px;" cellpadding="7" class="graphtable lightbg grey">
		<tr>
			<th align="center" width="50%"><asp:Label ID="lblHasAccess" runat="server" EnableViewState="False" meta:resourcekey="lblHasAccessResource1">Has access to handle tickets in categories</asp:Label></th>
			<th align="center"><asp:Label ID="lblNoAccess" runat="server" EnableViewState="False" meta:resourcekey="lblNoAccessResource1">Has no access to handle tickets in categories</asp:Label></th>
		</tr>
		<tr valign="top">
			<td>
				<div style="overflow:auto;height:180px">
					<asp:Repeater id="rptAllowed" runat="server" OnItemCommand="rptAllowed_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnDenyAccess" CommandName="deny" CommandArgument='<%# Eval("CategoryID") %>'><%# Eval("DisplayName") %></asp:linkbutton>
							<b>;</b><br />
						</ItemTemplate>
					</asp:Repeater>
				</div>
				<asp:LinkButton ID="btnRemoveAll" CausesValidation="false" runat="server" onclick="btnRemoveAll_Click">Remove all</asp:LinkButton>
			</td>
			<td>
			    <div style="overflow:auto;height:180px">
					<asp:Repeater id="rptDenied" runat="server" OnItemCommand="rptDenied_ItemCommand">
						<ItemTemplate>
							<asp:linkbutton runat="server" id="btnGrantAccess" CommandName="grant" CommandArgument='<%# Eval("CategoryID") %>'><%# Eval("DisplayName")%></asp:linkbutton>
							<b>;</b><br />
						</ItemTemplate>
					</asp:Repeater>
				</div>
				<asp:LinkButton ID="btnAddAll" CausesValidation="false" runat="server" onclick="btnAddAll_Click">Add all</asp:LinkButton>
			</td>
		</tr>
	</table>
	
	<br style="clear:both" />

</asp:Content>
