<%@ Page language="c#" Codebehind="AdminUsers.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.AdminUsers" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p style="height:1%"><strong><a href="Admin.aspx">Administration</a> &raquo;
	<asp:Label runat="server" ID="lblUsers" EnableViewState="False" meta:resourcekey="lblUsersResource1">Users</asp:Label></strong></p>
	

	<table class="lightbg outerborder" style="float:left" cellpadding="10">
	<tr><td>
		<a href="UserSearch.aspx"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblSearchResource1">search</asp:Label>...</a>
		&nbsp;&nbsp;|&nbsp;&nbsp;
		<a href="AdminCreateUser.aspx"><asp:Label runat="server" ID="lblAdd" EnableViewState="False" meta:resourcekey="lblAddResource1">add a new user</asp:Label>...</a>
		&nbsp;&nbsp;|&nbsp;&nbsp;
		<a href="AdminCompanies.aspx"><b><asp:Label ID="Label1" runat="server" EnableViewState="False" meta:resourcekey="lbCompaniesResource1">companies</asp:Label>...</b></a>
		&nbsp;&nbsp;|&nbsp;&nbsp;
		<a href="?CSV=1" title="export all users to a CSV file">&darr; CSV</a>
		&nbsp;&nbsp;|&nbsp;&nbsp;
		<a href="javascript:void(0)" title="import users to a CSV file" onclick="$('#divUpload').show()">&uarr; CSV</a>
		&nbsp;&nbsp;|&nbsp;&nbsp;
		<asp:CheckBox ID="cbShowTechsOnly" runat="server" Text="show technicians only" />
		<div id="divUpload" style="display:none" class="grey">
			CSV file:
			<asp:FileUpload ID="fileCSV" runat="server" /><br />
			(CSV file format: "<b>username,password,email,firstname,lastname</b>", no header row)
			<asp:Button ID="btnUpload" runat="server" OnClick="btnUpload_Click" style="display:none" />
		</div>
	</td></tr>
	</table>
	<table class="lightbg outerborder" cellpadding="10" style="float:right">
	<tr><td></td></tr>
	</table>
	
	<br style="clear:both" />
	<br />

	<asp:DataGrid id="gridUsers" runat="server" EnableViewState="False" Width="100%" AutoGenerateColumns="False"
		CellPadding="9" CssClass="graphtable lightbg sortable outerborder" UseAccessibleHeader="true" ShowFooter="true"
		AllowPaging="true" PageSize="30" OnPageIndexChanged="gridUsers_PageIndexChanged">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<FooterStyle CssClass="gradientbg sortbottom" />
		<Columns>
			<asp:BoundColumn Visible="False" DataField="UserID"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="UserID" ItemStyle-Font-Bold="true" DataNavigateUrlFormatString="AdminEditUser.aspx?UserID={0}" DataTextField="UserName"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="FirstName" HeaderText="First Name" meta:resourcekey="colFirstNameResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="LastName" HeaderText="Last Name" meta:resourcekey="colLastNameResource1"></asp:BoundColumn>
			<asp:HyperLinkColumn DataNavigateUrlField="CompanyID" DataNavigateUrlFormatString="ActiveTickets.aspx?FromCompanyID={0}" meta:resourcekey="colCompanyResource1" DataTextField="Company" HeaderText="Company"></asp:HyperLinkColumn>
			<asp:BoundColumn DataField="LastSeen" HeaderText="Last seen" meta:resourcekey="colLastSeenResource1"></asp:BoundColumn>
			<asp:BoundColumn HeaderStyle-Width="20px" DataField="SendEmail" HeaderText="<img src='images/email.png' alt='Email notifications enabled' title='Email notifications enabled' />"></asp:BoundColumn>
			<asp:TemplateColumn>
				<HeaderStyle Width="20px" HorizontalAlign="Center" />
				<HeaderTemplate><input type="checkbox" name="cbDelAll" id="cbDelAll" onclick="CheckUnchekAllUsers();" /></HeaderTemplate>
				<ItemTemplate><input type="checkbox" name='cbDel<%# Eval("UserID") %>' value="1" /></ItemTemplate>
				<FooterTemplate>
				<a href="javascript:void(0)" onclick="DeleteSeletedUsers();" title="Delete selected users"><img src="images/delete.png" alt="" /></a></FooterTemplate>
			</asp:TemplateColumn>
		</Columns>
		<PagerStyle Mode="NumericPages" Position="Bottom" CssClass="grey sortbottom" />
	</asp:DataGrid>

	<%--ivisible btns--%>
	<asp:Button ID="btnDel" style="display:none" runat="server" OnClick="btnDel_Click" EnableViewState="false"></asp:Button>

	<script type="text/javascript">
		$("#<%= fileCSV.ClientID %>").change(
			function () {
				if ($("#<%= fileCSV.ClientID %>").val() != "") {
					$("#<%= btnUpload.ClientID %>").click();
				}
			});
		$("#<%= cbShowTechsOnly.ClientID %>").click(
			function () {
				var regex = /Techs=1$/;
				if (document.location.href.match(regex)) {
					document.location.href = 'AdminUsers.aspx';
				}
				else {
					document.location.href = 'AdminUsers.aspx?Techs=1';
				}
			});
		function CheckUnchekAllUsers() {
			var chk = false;
			if (document.getElementById("cbDelAll").checked)
				chk = true;
			$("INPUT[type='checkbox'][name ^= 'cbDel' ]").attr('checked', chk);
		}
		function DeleteSeletedUsers() {
			if (!confirm("Are you sure you want to delete the selected users?")) return;
			$("#<%= btnDel.ClientID %>").click();
		}
	</script>
</asp:Content>
