﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DynamicsReport.aspx.cs" Inherits="HelpDesk.DynamicsReport" MasterPageFile="~/HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="head" runat="server">
<link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<table class="grey lightbg outerborder" cellpadding="7">
<tr><th colspan="3">Dynamics report</th></tr>
<tr>
	<td rowspan="4" valign="top" width="200">
		<asp:Label ID="lblCat" runat="server" EnableViewState="False" meta:resourcekey="lblCatResource1">Category:</asp:Label><br />
		<asp:ListBox Width="100%" Rows="10" SelectionMode="Multiple" ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID" />
	</td>
	<td align="right"><asp:Label ID="lblFrom" runat="server" EnableViewState="False" meta:resourcekey="lblFromResource1">From:</asp:Label></td>
	<td><asp:TextBox ID="tbDateFrom" runat="server" class="datepick" EnableViewState="false"></asp:TextBox></td>
</tr>
<tr>
	<td align="right"><asp:Label ID="lblTo" runat="server" EnableViewState="False" meta:resourcekey="lblToResource1">To:</asp:Label></td>
	<td><asp:TextBox ID="tbDateTo" runat="server" class="datepick" EnableViewState="false"></asp:TextBox></td>
</tr>
<tr>
	<td align="right">Group by:</td>
	<td><asp:DropDownList ID="ddlGroup" runat="server" EnableViewState="false">
		<asp:ListItem Text="Day" Value="1"></asp:ListItem>
		<asp:ListItem Text="Week" Value="7"></asp:ListItem>
		<asp:ListItem Text="Month" Value="30"></asp:ListItem>
	</asp:DropDownList></td>
</tr>
<tr><td></td><td><asp:Button ID="btnBuild" Text="Build" runat="server" OnClick="btnBuild_Click" /></td></tr>
</table>
<br /><br />
<img src="" alt="" runat="server" id="imgChart" visible="false" />

<asp:DataGrid ID="gridTest" runat="server" Visible="false"></asp:DataGrid>

<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript">
	//datepicker init
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>
</asp:Content>