﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="EditComment.aspx.cs" Inherits="HelpDesk.EditComment" MasterPageFile="HelpDeskMaster.Master" ValidateRequest="false" %>
<asp:Content runat="server" ContentPlaceHolderID="head">
<link href="editor.css" type="text/css" rel="stylesheet" />
</asp:Content>


<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<script src="js/editor.js" type="text/javascript"></script>

<div style="padding: 10px 10px 10px 10px" class="lightbg outerborder">
<div class="richeditor">
    <div class="editbar">
        <button title="bold" onclick="doClick('bold');" type="button"><b>B</b></button>
        <button title="italic" onclick="doClick('italic');" type="button"><i>I</i></button>
        <button title="underline" onclick="doClick('underline');" type="button"><u>U</u></button>
        <button title="hyperlink" onclick="doLink();" type="button" style="background-image:url('images/url.gif');"></button>
        <button title="image" onclick="doImage();" type="button" style="background-image:url('images/img.gif');"></button>
        <button title="color" onclick="showColorGrid2('none')" type="button" style="background-image:url('images/colors.gif');"></button><span id="colorpicker201" class="colorpicker201"></span>
        <button title="switch to source" type="button" onclick="javascript:SwitchEditor()" style="background-image:url('images/icon_html.gif');"></button>
    </div>
	<div class="container">
    <asp:textbox id="tbComment" runat="server" Width="100%" Height="180px" TextMode="MultiLine"></asp:textbox>
	</div>
    <br />
    <asp:CheckBox ID="cbTechOnly" runat="server" CssClass="grey" Text="Visible to techs only" /><br />
	<asp:CheckBox ID="cbHiddenFromKB" runat="server" CssClass="grey" Text="Hide from the Knowledge-Base" /><br /><br />
    <asp:button id="btnOK" runat="server" text="OK" OnClientClick="doCheck();return true;" onclick="btnOK_Click"></asp:button>
    <asp:button id="btnDel" runat="server" text="Delete" OnClientClick="return confirm('Are you sure you want to delete this comment?');" onclick="btnDel_Click"></asp:button>
    or <a href="<%= _calledFromKB? "ViewKBIssue.aspx" : "ViewIssue.aspx" %>?IssueID=<%= _issueId %>">Cancel</a>
</div>
</div>

<script type="text/javascript">
	initEditor("<%=tbComment.ClientID%>", <%= (!(Request.Browser.IsMobileDevice || IsiPhoneOrAndroid())).ToString().ToLower() %>);
	ShowEditor(); //to populate editor with the comment text
	$(myeditor).bind('keyup', AutoResize);
	$("#<%=tbComment.ClientID%>").bind('keyup', AutoResize);
    document.getElementById('rte').contentWindow.focus(); //prefocusing

	document.getElementById('rte').contentWindow.scroll(0,100);
	AutoResize();
    
	function AutoResize() {
    	if (myeditor.body.scrollTop > 0) {
    		ifm.style.height = (ifm.clientHeight + myeditor.body.scrollTop) + "px";
    		$("#<%=tbComment.ClientID%>").height(ifm.style.height);
    	}
    }
</script>

</asp:Content>