﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="PrintIssue.aspx.cs" Inherits="HelpDesk.PrintIssue" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <link rel="Stylesheet" type="text/css" href="Style.css" />
    <title></title>
</head>
<body onload="self.print()">
<form id="form1" runat="server">
<div style="padding: 10px 10px 10px 10px; font-size:120%">

<asp:label id="lblFrom" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblFromResource1">From:</asp:label>
<asp:label id="lblFromName" runat="server" enableviewstate="false"></asp:label>
<br />
<asp:label id="lblDateTitle" runat="server" EnableViewState="False" CssClass="grey" meta:resourcekey="lblDateTitleResource1">Date:</asp:label>
<asp:label id="lblDate" runat="server" EnableViewState="False"></asp:label>

<!--custom fields-->
<asp:Repeater ID="rptCustomFields" runat="server">
	<ItemTemplate>
	    <br /><span class="grey"><%# Eval("FieldName") %>:</span> <%# Eval("ValueWithOption") %>
	</ItemTemplate>
</asp:Repeater>

<br /><br />

<h1><asp:label id="lblSubject" runat="server" EnableViewState="False"></asp:label></h1>
<h2><asp:label id="lblBody" runat="server" EnableViewState="False"></asp:label></h2>


<br/><br />
<p><asp:repeater id="rptComments" runat="server" EnableViewState="False">
    <HeaderTemplate>
        <table width="100%" cellpadding="4" cellspacing="0">
    </HeaderTemplate>
	<ItemTemplate>
	    <tr valign="top">
	        <td class="commentsAttr" width="100px" style="border-top:1px solid #cccccc;white-space:nowrap">
	            <%# ((DateTime)Eval("CommentDate")).ToString("g") %><br />
	            <b><%# Eval("UserName") %></b>
	        </td>
	        <td style="border-top:1px solid #cccccc;" class='<%# HelpDesk.ViewIssue.GetCssClassName(Eval("UserName"), Eval("IsSystem")) %>'>
	            <%# HelpDesk.BusinessLayer.StringUtils.BBCode2HTML(Eval("Body").ToString()) %>
	        </td>
	    </tr>
	</ItemTemplate>
	<FooterTemplate>
	    </table>
	</FooterTemplate>
</asp:repeater></p>
</div>    
</form>
</body>
</html>
