﻿<%@ Page Title="" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" AutoEventWireup="true" CodeBehind="ReportCompanyStat.aspx.cs" Inherits="HelpDesk.ReportCompanyStat" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<p><strong><a href="Reports.aspx"><asp:Label ID="lblReports" runat="server" EnableViewState="False" meta:resourcekey="lblReportsResource1">Reports</asp:Label></a>
	&raquo;
	<asp:Label ID="lblUserStats" runat="server" EnableViewState="False" meta:resourcekey="lblUserStatsResource1">Companies statistics</asp:Label></strong></p>
	<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
		Width="100%" CellPadding="7" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable graphtable" UseAccessibleHeader="true">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:TemplateColumn HeaderText="Company" meta:resourcekey="colUserResource1">
		        <ItemTemplate>
		            <%# FormatCompanyName( Eval("Name"), Eval("CRMID") ) %>
		        </ItemTemplate>
		    </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Issues Submitted" meta:resourcekey="colIssuesResource1">
                <HeaderStyle Wrap="False" />
                <ItemTemplate>
                    <a href="ActiveTickets.aspx?FromCompanyID=<%# Eval("CompanyID") %>"><%# Eval("IssuesSubmitted") %></a>
                </ItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Active tickets" meta:resourcekey="colActiveIssuesResource1">
                <HeaderStyle Wrap="False" />
                <ItemTemplate>
                    <a href="Search.aspx?fromcompany=<%# Eval("Name") %>&status=3&statusnot=1"><%# Eval("ActiveIssues") %></a>
                </ItemTemplate>
            </asp:TemplateColumn>
		</Columns>
	</asp:DataGrid>

</asp:Content>