﻿<%@ Page Title="" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="UserSearch.aspx.cs" Inherits="HelpDesk.UserSearch" %>

<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<table class="outerborder lightbg grey" cellpadding="7">
<tr><th colspan="3">User search</th></tr>
<tr>
	<td><asp:Label runat="server" meta:resourcekey="lblTitleResource1">Find user (by username, fist name, last name, email, location, phone, company or any part of it)</asp:Label>:</td>
	<td><asp:TextBox ID="tbSearch" runat="server"></asp:TextBox></td>
	<td><asp:Button ID="btnSearch" runat="server" OnClick="btnSearch_Click" Text="Search" /></td>
</tr></table>

<asp:DataGrid id="gridUsers" runat="server" EnableViewState="False" Width="100%" AutoGenerateColumns="False"
	CellPadding="9" CssClass="graphtable lightbg sortable outerborder" UseAccessibleHeader="true">
	<AlternatingItemStyle CssClass="alternativeLightbg" />
	<FooterStyle CssClass="gradientbg sortbottom" />
	<Columns>
		<asp:BoundColumn Visible="False" DataField="UserID"></asp:BoundColumn>
		<asp:HyperLinkColumn DataNavigateUrlField="UserID" ItemStyle-Font-Bold="true" DataNavigateUrlFormatString="AdminEditUser.aspx?UserID={0}" DataTextField="UserName"></asp:HyperLinkColumn>
		<asp:BoundColumn DataField="FirstName" HeaderText="First Name" meta:resourcekey="colFirstNameResource1"></asp:BoundColumn>
		<asp:BoundColumn DataField="LastName" HeaderText="Last Name" meta:resourcekey="colLastNameResource1"></asp:BoundColumn>
        <asp:HyperLinkColumn DataNavigateUrlField="CompanyID" DataNavigateUrlFormatString="ActiveTickets.aspx?FromCompanyID={0}" meta:resourcekey="colCompanyResource1" DataTextField="Company" HeaderText="Company"></asp:HyperLinkColumn>
		<asp:BoundColumn DataField="LastSeen" HeaderText="Last seen" meta:resourcekey="colLastSeenResource1"></asp:BoundColumn>
		<asp:BoundColumn HeaderStyle-Width="20px" DataField="SendEmail" HeaderText="<img src='images/email.png' alt='Email notifications enabled' title='Email notifications enabled' />"></asp:BoundColumn>
	</Columns>
</asp:DataGrid>

</asp:Content>
