<%@ Page EnableEventValidation="false" language="c#" Codebehind="ViewIssue.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.ViewIssue" MasterPageFile="HelpDeskMaster.Master" Async="true" ValidateRequest="false" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="head">
<link href="editor.css" type="text/css" rel="stylesheet" />
<link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
<link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">

<asp:ScriptManager runat="server" ID="ScriptManager1" EnablePageMethods="true" ScriptMode="Release"></asp:ScriptManager>

<script src="js/jquery.autocomplete.js" type="text/javascript"></script>
<script src="js/editor.js" type="text/javascript"></script>

<table width="100%" cellpadding="7">
<tr valign="top"><td style="width:65%">



<!--buttons toolbar-->
<asp:UpdatePanel ID="updButtons" runat="server" UpdateMode="Conditional"><ContentTemplate>
<table class="outerborder lightbg" cellpadding="3" width="100%">
<tr><td align="left">
<asp:button id="btnReOpen" EnableViewState="false" Font-Bold="true" runat="server" ToolTip="Restore the resolved ticket" text="re-open" CssClass="gradientbg" onclick="btnReOpen_Click" meta:resourcekey="btnReOpenResource1" />
<asp:button id="btnTake" EnableViewState="false" Font-Bold="true" runat="server" ToolTip="Take up the ticket. The status will turn to 'In process' and you will become an 'assigned to' manager." Text="takeover" CssClass="gradientbg" onclick="btnTake_Click" meta:resourcekey="btnTakeResource1" />
<asp:Repeater ID="rptCustomButtons" runat="server" OnItemCommand="rptCustomButtons_ItemCommand">
	<ItemTemplate><asp:Button Font-Bold="true" runat="server" CommandArgument='<%# Eval("StatusID") %>' Text='<%# Eval("ButtonCaption") %>' /> </ItemTemplate>
</asp:Repeater>
<asp:Button ID="btnInProcess" EnableViewState="false" Font-Bold="true" runat="server" ToolTip="Change ticket status back to 'In-Process'" Text="&crarr;" onclick="btnInProcess_Click" />
<asp:button id="btnClose" Font-Bold="true" runat="server" ToolTip="Close the ticket" text="close" CssClass="gradientbg" onclick="btnClose_Click" meta:resourcekey="btnCloseResource1" />
</td><td align="right">
<button id="htmlBtnEdit" type="button" title="Edit the ticket subject and body" runat="server" onclick="ShowHideIssueEditor(true);"><asp:label ID="lblEdit" runat="server" Text="edit" meta:resourcekey="lblEditResource1"></asp:label></button>
<asp:Button id="btnDelete" runat="server" Text="delete" CssClass="gradientbg" ToolTip="Permanently delete the ticket" onclick="btnDelete_Click" OnClientClick="return confirm('Are you sure you want to delete the ticket?')" meta:resourcekey="btnDeleteResource1" />
&nbsp;&nbsp;<a href="PrintIssue.aspx?IssueID=<%= _issueID %>" title="print"><img src="images/print.png" alt="print" /></a>&nbsp;&nbsp;
<asp:Button id="btnDelKB" EnableViewState="false" runat="server" CssClass="gradientbg" ToolTip="delete this ticket from the Knowledge Base" Text="delete from KB" onclick="btnDelKB_Click" meta:resourcekey="btnDelKBResource1" />
<asp:Button id="btnKB" runat="server" ToolTip="Publish this ticket to the Knowledge Base" Text="publish to KB" CssClass="gradientbg" onclick="btnKB_Click" meta:resourcekey="btnKBResource1" />
<asp:Button id="btnKBTechsOnly" runat="server" ToolTip="Publish this ticket to the Knowledge Base for technicians view only" Text="publish to KB for techs only" CssClass="gradientbg" onclick="btnKBTechsOnly_Click" />
<asp:Button ID="btnDisableEscalation" EnableViewState="false" runat="server" ToolTip="Disable escalations for this ticket" Text="escalations off" OnClick="btnDisableEscalation_Click" />
<asp:Button ID="btnEnableEscalation" EnableViewState="false" runat="server" ToolTip="Enable escalations for this ticket" Text="escalations on" OnClick="btnEnableEscalation_Click" />
</td></tr></table>
</ContentTemplate></asp:UpdatePanel>
	


<br />
	
<!--editbox-->
<div runat="server" id="divEditor" EnableViewState="false" style="visibility:hidden;position:absolute;" class="lightbg outerborder">
	<div style="margin: 3px 5px 0px 3px"><asp:TextBox id="tbSubject" MaxLength="100" Width="100%" EnableViewState="false" runat="server"></asp:TextBox></div>
	<div style="margin: 3px 5px 0px 3px"><asp:TextBox id="tbBody" Rows="3" TextMode="MultiLine" runat="server" Width="100%"></asp:TextBox></div>
	<asp:Button ID="btnEdit" CssClass="gradientbg" runat="server" Text="OK" style="margin: 3px 3px 3px 3px" OnClick="btnEdit_Click" EnableViewState="false" />
	<button class="gradientbg" onclick="ShowHideIssueEditor(false);" type="button" style="margin: 3px 3px 3px 0px">Cancel</button>
</div>


<!-- ticket subj and body-->    
<h1><asp:label id="lblSubject" runat="server" EnableViewState="false"></asp:label></h1>
<h2><asp:label id="lblBody" runat="server" EnableViewState="false"></asp:label></h2>

<div id="divDumbAssHoleForNothing"></div>
<br />
	
	
	
<!--message log-->
<asp:UpdatePanel ID="updComments" runat="server" UpdateMode="Conditional"><ContentTemplate>
<table class="outerborder lightbg editTable" cellspacing="0" cellpadding="7" width="100%">
<tr><th colspan="4"><asp:label id="lblLog" runat="server" meta:resourcekey="lblLogResource1">Activity feed (most recent on top)</asp:label></th></tr>
<tr><td> &nbsp;&nbsp;&nbsp;&nbsp; </td><td colspan="2" width="100%">

	<input type="text" id="txtNewComment" style="width:100%;color:#999999;font-size:120%" value=" <%= GetLocalResourceObject("btnAddCommentResource1.Text") %>..." onclick="ShowNewComment();" />

	<!--add comment editbox-->
	<div class="richeditor" style="display:none" id="divNewComment">

	<!--subscribers block-->
	<asp:Label ID="lblSubscribers" CssClass="commentsAttr" runat="server" meta:resourcekey="lblSubscribersResource1">Subscribers who will get this message:</asp:Label>
	<asp:Repeater ID="rptSubscribers" EnableViewState="false" runat="server">
	<HeaderTemplate><span id="spanSubscribersList"></HeaderTemplate>
	<ItemTemplate>
		<span id="spanSubscriber<%# Eval("UserID") %>"><%# Eval("UserName") %>
		<a href="javascript:RemoveSubscriber('<%# Eval("UserID") %>')"><img alt="" src="images/delete.gif" /></a>
		&nbsp;
		</span>
	</ItemTemplate>
	<FooterTemplate></span></FooterTemplate>
	</asp:Repeater>
	<a href="javascript:ShowHideNewSubscriber(true)" id="aNewSubscriber" runat="server"><asp:Label ID="lblAddSubscriber" CssClass="commentsAttr" runat="server" meta:resourcekey="lblAddSubscriberResource1">add...</asp:Label></a>
	<div id="spanNewSubscriber" style="display:none;" class="commentsAttr">
	Type a username: <input class="grey" type="text" style="width:200px" onblur="setTimeout(function() { ShowHideNewSubscriber(false); }, 200)" id="tbNewSubscriber" name="tbNewSubscriber" />
	<span id="spanNewUser" runat="server" enableviewstate="false">&nbsp; or <a href="AdminCreateUser.aspx?ViewIssue=<%=_issueID %>">add a new user</a></span>
	</div>
	<asp:HiddenField ID="hiddenSubscribers" runat="server" EnableViewState="false" />


	<!--richeditor-->
	<div class="editbar">
		<button title="bold" onclick="doClick('bold');" type="button"><b>B</b></button>
		<button title="italic" onclick="doClick('italic');" type="button"><i>I</i></button>
		<button title="underline" onclick="doClick('underline');" type="button"><u>U</u></button>
		<button title="hyperlink" onclick="doLink();" type="button" style="background-image:url('images/url.gif');"></button>
		<button title="image" onclick="doImage();" type="button" style="background-image:url('images/img.gif');"></button>
		<button title="color" onclick="showColorGrid2('none')" type="button" style="background-image:url('images/colors.gif');"></button><span id="colorpicker201" class="colorpicker201"></span>
		<button title="switch to source" type="button" onclick="javascript:SwitchEditor()" style="background-image:url('images/icon_html.gif');"></button>
		<asp:DropDownList onchange="ProcessTemplate(this.value);" ID="ddlTemplates" runat="server" EnableViewState="false" style="margin-left:130px;color:Gray">
			<asp:ListItem style="color:grey" Value="" Text="Insert template..." meta:resourcekey="lstTemplateResource1"></asp:ListItem>
		</asp:DropDownList>
		<asp:Button ID="btnDeleteTemplate" runat="server" style="display:none" OnClick="btnDeleteTemplate_Click" />
	</div>
	<div class="container">
	<asp:textbox id="tbNewComment" runat="server" Width="100%" Height="100px" TextMode="MultiLine"></asp:textbox>
	</div>
	<button type="button" onclick="doCheck(); if(IsNewCommentEmpty()) return false; AddComment();" id="htmlBtnAdd"><b><asp:Label runat="server"  meta:resourcekey="btnAddCommentResource1" Text="add comment to the log"></asp:Label></b> (ctrl + enter)</button>
	
	<%-- hidden buttons --%>
	<asp:button style="display:none" id="btnAddComment" EnableViewState="false" runat="server" onclick="btnAddComment_Click"></asp:button>
	<asp:button style="display:none" id="btnAddCommentWithUpload" EnableViewState="false" runat="server" onclick="btnAddCommentWithUpload_Click"></asp:button>
	
	&nbsp;<asp:CheckBox ID="cbTechsOnly" runat="server" CssClass="grey" text="Add for techs only" meta:resourcekey="cbTechsOnlyResource1" />
	&nbsp;<asp:CheckBox ID="cbSaveTemplate" runat="server" CssClass="grey" Text="Save this answer as a template" meta:resourcekey="cbSaveTemplateResource1" />
	<asp:HiddenField ID="hiddenTakeover" runat="server" EnableViewState="false" />

	&nbsp;<img alt="" src="images/attachment.gif" /><a href="javascript:ShowHideNewAttachment()" class="grey"><asp:label id="lblAttachFile" runat="server" meta:resourcekey="lblAttachFileResource1">attach a file...</asp:label></a>
	<span id="spanNewAttachment" class="lightbg" style="display:none;padding: 3px 3px 3px 3px; border: 1px solid silver;position:absolute;">
		<asp:label id="lblChooseFile" runat="server" meta:resourcekey="lblChooseFileResource1">Choose a file:</asp:label>
		(max <%= HelpDesk.BusinessLayer.Settings.MaxAttachSize %> kb)<br />
		<asp:FileUpload ID="fileUpload" runat="server" meta:resourcekey="fileUploadResource1" onchange="CheckFileOverWrite();" />
	</span>

	</div>
</td><td> &nbsp;&nbsp;&nbsp;&nbsp; </td>
</tr>


<!--comments list-->
<asp:repeater id="rptComments" EnableViewState="false" runat="server" onitemdatabound="rptComments_ItemDataBound">
<ItemTemplate>
	<tr runat="server" id="trDay" visible="false"><td></td><td colspan="2"><h3><%# HelpDesk.BusinessLayer.StringUtils.GetDateDayName(Eval("CommentDate"))%></h3></td><td></td></tr>
	<tr valign="top">
		<td class="<%# GetCommentEditCSSClass(Eval("UserID"), _issueID, Eval("IsSystem")) %>" onclick="<%# GetCommentEditLink(Eval("CommentID"), Eval("UserID"), _issueID, Eval("IsSystem")) %>"> &nbsp;&nbsp;&nbsp;&nbsp; </td>
		<td class="grey darkbg commentLeftTd"><%# ((DateTime)Eval("CommentDate")).ToShortTimeString() %></td>
		<td width="100%" class='<%# GetCssClassName(Eval("UserName"), Eval("IsSystem")) %> darkbg commentRightTd'>
			<div class="grey"><b><%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName")) %></b></div>
			<div class="comment" id="divCommentText<%# Eval("CommentID") %>"><%# HelpDesk.BusinessLayer.StringUtils.BBCode2HTML(Eval("Body").ToString()) %></div>
			<asp:Repeater ID="rptCommentFiles" runat="server" EnableTheming="false">
				<ItemTemplate><a href='GetAttachment.ashx?FileID=<%# Eval("FileID") %>' target="_blank" class="grey"><%# HelpDesk.BusinessLayer.Attachments.GetAttachmentImage(Eval("FileName")) %> <%# Eval("FileName") %></a> </ItemTemplate>
			</asp:Repeater>
		</td>
		<td class="<%# (bool)Eval("ForTechsOnly") ? "techCommentCell" : "" %>" title="<%# (bool)Eval("ForTechsOnly") ? "visible for techs only" : "" %>"> &nbsp;&nbsp;&nbsp;&nbsp; </td>
	</tr>
	<tr><td style="padding:0px 0px 0px 0px;height:7px" colspan="4"></td></tr>
</ItemTemplate>
</asp:repeater>
<tr><td></td><td></td><td></td><td></td></tr></table></ContentTemplate>
<Triggers>
	<asp:PostBackTrigger ControlID="btnAddCommentWithUpload" />
</Triggers>
</asp:UpdatePanel>


</td><td style="width:35%">

	<!--attachments-->
	<asp:UpdatePanel ID="updAttachments" runat="server" UpdateMode="Conditional">
	<ContentTemplate>
		<asp:Repeater id="rptAttachmetns" runat="server" OnItemCommand="rptAttachmetns_ItemCommand">
		<HeaderTemplate>
			<table width="100%" cellpadding="7" cellspacing="0" class="outerborder lightbg">
			<tr><th><asp:label id="lblAttach" runat="server" meta:resourcekey="lblAttachResource1">Attachments:</asp:label></th></tr>
			<tr><td>
		</HeaderTemplate>
		<ItemTemplate>
			<a href='GetAttachment.ashx?FileID=<%# Eval("FileID") %>' target="_blank"><%# HelpDesk.BusinessLayer.Attachments.GetAttachmentImage(Eval("FileName")) %> <%# Eval("FileName") %></a>
			<asp:LinkButton OnClientClick="return confirm('Are you sure?');" ID="btnDelAtt" runat="server" CommandName="del" CommandArgument='<%# Eval("FileID") %>' meta:resourcekey="btnDelAttResource1"><img alt="" src="images/delete.gif" border="0" /></asp:LinkButton>
			&nbsp;&nbsp;
		</ItemTemplate>
		<FooterTemplate></td></tr></table><br /></FooterTemplate>
		</asp:Repeater>
		<asp:HiddenField ID="hiddenFilesList" runat="server" EnableViewState="false" />
	</ContentTemplate>
	</asp:UpdatePanel>
   



	<!-- ticket details -->
	<table class="outerborder lightbg" cellspacing="0" runat="server" enableviewstate="false" cellpadding="7" width="100%">
	<tr><th><asp:label id="lblBodyTitle" runat="server" meta:resourcekey="lblBodyTitleResource1">Details</asp:label></th></tr>
	<tr><td>
		<table cellpadding="3" class="issueDetails" width="100%">
		<tr>
			<td style="width:30%" align="right">
				<asp:label id="lblCatTitle" runat="server" CssClass="grey" meta:resourcekey="lblCatTitleResource1">Category:</asp:label>
			</td><td style="width:70%">
				<asp:UpdatePanel ID="UpdatePanel1" runat="server" EnableViewState="false" RenderMode="Inline" UpdateMode="Conditional">
				<ContentTemplate>
				<asp:label id="lblCat" runat="server"></asp:label>&nbsp;
				<asp:button id="btnChangeCategory" OnClick="btnChangeCategory_Click" enableviewstate="false" runat="server" visible="false" Text="..." ToolTip="Change category..." />
				<span id="spanCategories" runat="server" visible="false" enableviewstate="false"></span>
				<asp:Button ID="btnSaveCategory" runat="server" Text="OK" Visible="false" OnClick="btnSaveCategory_Click" />
				</ContentTemplate></asp:UpdatePanel>
			</td>
		</tr>
		<tr>
			<td align="right" style="height:20px;">
				<asp:label id="lblFrom" runat="server" CssClass="grey" meta:resourcekey="lblFromResource1">From:</asp:label>
			</td><td>
				<asp:UpdatePanel ID="updFromUser" runat="server" EnableViewState="false" RenderMode="Inline" UpdateMode="Conditional"><ContentTemplate>
				<a id="lnkFrom" runat="server"></a>
				<span id="spanFromCompany" runat="server" enableviewstate="false" visible="false"> (<a href="" id="lnkFromCompany" runat="server"></a><span id="lnkCRM" runat="server"></span>)</span>
				&nbsp;&nbsp;&nbsp;<asp:Button runat="server" id="btnChangeFromUser" OnClick="btnChangeFromUser_Click" enableviewstate="false" runat="server" visible="false" ToolTip="Change ticket submitter..." Text="..." />
				<asp:DropDownList ID="ddlFromUsers" runat="server" EnableViewState="false" Visible="false"></asp:DropDownList>
				<asp:Button ID="btnSaveFromUser" runat="server" Text="OK" Visible="false" OnClick="btnSaveFromUser_Click" />
				</ContentTemplate></asp:UpdatePanel>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblPriorityTitle" runat="server" CssClass="grey" enableviewstate="false" meta:resourcekey="lblPriorityTitleResource1">Priority:</asp:label>
			</td><td>
				<asp:UpdatePanel ID="updPriority" runat="server" RenderMode="Inline" UpdateMode="Conditional"><ContentTemplate>
				<asp:label id="lblPriority" runat="server"></asp:label>&nbsp;
				<span id="spanEditPriority" style="display:none">
					<asp:DropDownList ID="ddlPriority" runat="server" EnableViewState="false"><asp:ListItem style="color:Gray" Value="-1"></asp:ListItem><asp:ListItem style="color:Green" Value="0" Selected="True"></asp:ListItem><asp:ListItem style="color:Red" Value="1"></asp:ListItem></asp:DropDownList>
					<asp:Button ID="btnSavePriority" enableviewstate="false" runat="server" Text="OK" OnClientClick="ShowHidePriorityEditor(false);" onclick="btnSavePriority_Click" />
					<a href="javascript:void(0);" onclick="ShowHidePriorityEditor(false);"><asp:Label ID="lblCancel2" runat="server" meta:resourcekey="lblCancelResource1">Cancel</asp:Label></a>
				</span></ContentTemplate></asp:UpdatePanel>
				<button class="gradientbg" id="btnPriority" onclick="ShowHidePriorityEditor(true);return false;" type="button" title="Change priority...">...</button>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblDateTitle" runat="server" CssClass="grey" meta:resourcekey="lblDateTitleResource1">Date:</asp:label>
			</td><td>
				<asp:label id="lblDate" runat="server"></asp:label>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblDueDateTitle" runat="server" CssClass="grey" 
					enableviewstate="False" meta:resourcekey="lblDueDateTitleResource1">Due date:</asp:label>
			</td>
			<td runat="server" id="tdDueDate">
				<asp:UpdatePanel ID="updDueDate" runat="server" RenderMode="Inline" UpdateMode="Conditional"><ContentTemplate>
					<asp:label id="lblDueDate" runat="server" meta:resourcekey="lblDueDateResource1"></asp:label>&nbsp;
					<input type="hidden" id="hiddenOldDate" runat="server" />
					<span ID="spanEditDueDate" style="display:none;white-space:nowrap;">
					<asp:TextBox ID="txDueDate" runat="server" autocomplete="off" 
						AutoCompleteType="Disabled" class="datepick" EnableViewState="False" 
						meta:resourcekey="txDueDateResource1"></asp:TextBox>
					<a href="javascript:void(0);" onclick="ClearDueDate();" style="color:Red;">x</a>
					<asp:Button ID="btnSaveDueDate" runat="server" EnableViewState="False" 
						meta:resourcekey="btnSaveDueDateResource1" OnClick="btnSaveDueDate_Click" 
						OnClientClick="ShowHideDueDateEditor(false);" Text="OK" />
					<a href="javascript:void(0);" onclick="ShowHideDueDateEditor(false);">
					<asp:Label ID="lblCancel3" runat="server" meta:resourceKey="lblCancelResource1">Cancel</asp:Label>
					</a></span>
				</ContentTemplate></asp:UpdatePanel>
				<button class="gradientbg" id="btnDueDate" onclick="ShowHideDueDateEditor(true);return false;" type="button" title="Change due date...">...</button>
			</td>
		</tr>
		<tr>
			<td align="right">
				<b><asp:label id="lblStatusTitle" runat="server" CssClass="grey" meta:resourcekey="lblStatusTitleResource1">Status:</asp:label></b>
			</td><td>
				<b><asp:UpdatePanel ID="updStatus" runat="server" UpdateMode="Conditional" RenderMode="Inline"><ContentTemplate><asp:label id="lblStatus" runat="server" /></ContentTemplate></asp:UpdatePanel></b>
			</td>
		</tr>
		<tr>
			<td nowrap="nowrap" align="right">
				<asp:label id="lblIDTitle" runat="server" CssClass="grey" meta:resourcekey="lblIDTitleResource1">Issue ID:</asp:label>
			</td><td>
				<asp:label id="lblIssueID" runat="server"></asp:label></td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblAssignedTo" runat="server" CssClass="grey" meta:resourcekey="lblAssignedToResource1">Assigned to:</asp:label>
			</td><td>
				<asp:UpdatePanel ID="updAssignee" runat="server" EnableViewState="false" RenderMode="Inline" UpdateMode="Conditional">
				<ContentTemplate>
				<a id="lnkAssignedTo" runat="server"></a>&nbsp;
				<asp:button OnClick="btnAssign_Click" id="btnAssign" runat="server" enableviewstate="false" visible="false" ToolTip="Assign the ticket..." Text="..."/>
				<asp:DropDownList ID="ddlAssignee" runat="server" EnableViewState="false" Visible="false"></asp:DropDownList>
				<asp:Button ID="btnSaveAssignee" runat="server" Text="OK" Visible="false" OnClick="btnSaveAssignee_Click" />
				</ContentTemplate></asp:UpdatePanel>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblTimeSpentTitle" runat="server" CssClass="grey" meta:resourcekey="lblTimeSpentTitleResource1">Hours Spent:</asp:label>
			</td><td>
				<asp:UpdatePanel ID="updSpent" runat="server" RenderMode="Inline" UpdateMode="Conditional">
				<ContentTemplate>
				<asp:label id="lblTimeSpent" runat="server"></asp:label>&nbsp;
				<span id="spanTimeSpentEditor" style="display:none">
					<asp:TextBox Width="60px" ID="tbTimeSpent" Text="00:00" runat="server" />
					<asp:RegularExpressionValidator ID="rxvTimeSpent" runat="server" ControlToValidate="tbTimeSpent" ValidationExpression="\d{2}:\d{2}:\d{2}" Display="Dynamic" ValidationGroup="TimeSpent" ErrorMessage="&quot;00:00:00&quot; !!"></asp:RegularExpressionValidator>
					<asp:Button ID="btnSaveTimeSpent" runat="server" ValidationGroup="TimeSpent" Text="OK" OnClientClick="ShowHideTimeSpentEditor(false);" onclick="btnSaveTimeSpent_Click" />
					<a href="javascript:void(0);" onclick="ShowHideTimeSpentEditor(false);"><asp:Label ID="lblCancel" runat="server" meta:resourcekey="lblCancelResource1">Cancel</asp:Label></a>
				</span>
				<button class="gradientbg" id="btnTimeSpent" runat="server" enableviewstate="false" type="button" title="Set time..." onclick="ShowHideTimeSpentEditor(true);return false;">...</button>
				<span id="spanStopWatch" runat="server" class="grey"><span style="margin-left:30px" id="spanTimer">00:00</span><input type="hidden" id="hiddenTimer" name="hiddenTimer" value="00:00" />
				&nbsp;<asp:Button ID="btnAddTimeSpent" OnClientClick="preAddTime();" runat="server" Text="&nbsp;+&nbsp;" ToolTip="Add this time to ticket" onclick="btnAddTimeSpent_Click" /></span>
				</ContentTemplate>
				</asp:UpdatePanel>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblStartDateTitle" runat="server" CssClass="grey" meta:resourcekey="lblStartDateTitleResource1">Start date:</asp:label>
			</td><td>
				<asp:label id="lblStartDate" runat="server"></asp:label>
			</td>
		</tr>
		<tr>
			<td align="right">
				<asp:label id="lblCloseDateTitle" runat="server" CssClass="grey" meta:resourcekey="lblCloseDateTitleResource1">Close date:</asp:label>
			</td><td>
				<asp:label id="lblCloseDate" runat="server"></asp:label>
			</td>
		</tr>
		<tr id="trRepeat" runat="server">
			<td align="right" class="grey">
				<asp:Label ID="lblScheduled" runat="server" meta:resourcekey="lblScheduledResource1" Visible="false">This ticket is repeating</asp:Label>
				<asp:Label ID="lblNotScheduled" runat="server" meta:resourcekey="lblNotScheduledResource1">This ticket is not repeating</asp:Label>
			</td>
			<td><a href="TicketSchedule.aspx?TicketID=<%= _issueID %>" title="repeating settings"><img src="images/repeat.png" alt="repeat" /></a></td>
		</tr>
		<asp:Repeater ID="rptCustomFields" runat="server">
			<HeaderTemplate><tr><td colspan="2"><hr /></td></tr></HeaderTemplate>
			<ItemTemplate>
				<tr><td align="right" class="grey"><%# Eval("FieldName") %>:</td><td><%# Eval("ValueWithOption") %></td></tr>
			</ItemTemplate>
			<FooterTemplate><tr><td></td><td align="right"><button type="button" title="edit custom fields" onclick="document.location='EditIssueCustomFields.aspx?IssueID=<%= _issueID %>'">...</button></td></tr></FooterTemplate>
		</asp:Repeater>
		</table>
	</td></tr>
	</table>

	<br />

	<asp:Repeater ID="rptRelatedTickets" runat="server" EnableViewState="false">
		<HeaderTemplate><table cellspacing="0" cellpadding="5" width="100%" class="outerborder grey lightbg"><tr><th><asp:label id="lblRelated" runat="server" meta:resourcekey="lblRelatedResource1">Related tickets</asp:label></th></tr></HeaderTemplate>
		<ItemTemplate><tr><td><a href="ViewIssue.aspx?IssueID=<%# Eval("IssueID") %>"><%# Eval("Subject") %></a></td></tr></ItemTemplate>
		<FooterTemplate></table></FooterTemplate>
	</asp:Repeater>

</td></tr>
</table>

<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script src="js/jquery.maskedinput.min.js" type="text/javascript"></script>
<script type="text/javascript">
	
	<%-- inits everything - rich editor, its keyup-enevts, subscribers automcomplete etc --%>
	function InitCommentsBlock() {
		<%--initializing richtext wysiwyg editor--%>
		initEditor("<%=tbNewComment.ClientID%>", <%= (!(Request.Browser.IsMobileDevice || IsiPhoneOrAndroid())).ToString().ToLower() %>);
		$(myeditor).bind('keyup', AutoResize);
		$("#<%=tbNewComment.ClientID%>").bind('keyup', AutoResize);
		$(myeditor).keydown(ProcessCtrlEnter); //processes ctrl+enter
		$("#<%=tbNewComment.ClientID%>").keydown(ProcessCtrlEnter); //processes ctrl+enter
		
		<%--autocomplete (for "add subscriber" searchbox and "change submitter")--%>
		$("#tbNewSubscriber").autocomplete('ajaxusersearchautocomplete.ashx', {
			delay: 200,
			onItemSelect: function(li) {
				var userId = li.extra[0];
				var userName = li.selectValue;
				AddSubscriber(userId, userName);
			}
		});
	}
	InitCommentsBlock();

	<%-- reinit after updatepanel postback--%>
	Sys.WebForms.PageRequestManager.getInstance().add_endRequest(
		function (sender, args) {
			InitCommentsBlock();
		});

	$("#<%= tbTimeSpent.ClientID %>").mask("99:99:99", {placeholder:"0"});

	function AutoResize() {
		if (myeditor.body.scrollTop > 0) {
			ifm.style.height = (ifm.clientHeight + myeditor.body.scrollTop) + "px";
			$("#<%=tbNewComment.ClientID%>").height(ifm.style.height);
		}
	}

	<%-- starting the timer --%>
	var stopwatch = setInterval(onTimer, 1000);
	var minutesTimer = 0; var secondsTimer=0;
	function onTimer() {
		secondsTimer++;
		if(secondsTimer==60) {secondsTimer=0; minutesTimer++;}
		var strTime = "0".substring(minutesTimer >= 10) + minutesTimer + ":" + "0".substring(secondsTimer >= 10) + secondsTimer;
		$('#spanTimer').html(strTime);
	}
	function preAddTime() {
		secondsTimer=0; minutesTimer=0;
		$("#hiddenTimer").val($('#spanTimer').html());
		$('#spanTimer').html("00:00");
	}

	function CheckFileOverWrite() {
		var uploadFileName = document.getElementById("<%= fileUpload.ClientID %>").value.toLowerCase() + ";";
		var filesList = document.getElementById("<%= hiddenFilesList.ClientID %>").value.toLowerCase();

		if (filesList.indexOf(uploadFileName) == -1)
			return;
		else
			if(!confirm("This will overwrite the existing file with the same name, continue?"))
				document.getElementById("<%= fileUpload.ClientID %>").value = "";
	}

	function EditComment(commentId, issueId) {
		var url = "";
		url = window.location.href;
		url = url.substr(0, url.lastIndexOf("/"));
		url += "/EditComment.aspx?CommentID=" + commentId + "&IssueID=" + issueId;
		window.location.replace(url);
	}

	function ShowHideNewAttachment() {
		oDiv = $get("spanNewAttachment");
		oDiv.style.display = (oDiv.style.display == 'none') ? '' : 'none';
	}
	function ShowHideIssueEditor(show) {
		$get("<%= divEditor.ClientID %>").style.visibility = show ? 'visible' : 'hidden';

		if (show) {
			$("#<%= tbBody.ClientID %>").height($("#<%= lblBody.ClientID %>").height());
			$("#<%= divEditor.ClientID %>").width($("#divDumbAssHoleForNothing").innerWidth());
		}

		$get("<%= lblSubject.ClientID %>").style.visibility = show ? 'hidden' : 'visible';
		$get("<%= lblBody.ClientID %>").style.visibility = show ? 'hidden' : 'visible';
		if (show)
			$get("<%= tbSubject.ClientID %>").focus();
	}
	function ShowHideTimeSpentEditor(show) {
		$get("spanTimeSpentEditor").style.display = show ? '' : 'none';
		$get("<%= btnTimeSpent.ClientID %>").style.display = show ? 'none' : '';
		$get("<%= lblTimeSpent.ClientID %>").style.display = show ? 'none' : '';
		if (show) $get("<%= tbTimeSpent.ClientID %>").focus();
	}
	function ShowHidePriorityEditor(show) {
		$get("spanEditPriority").style.display = show ? '' : 'none';
		$get("btnPriority").style.display = show ? 'none' : '';
		if (show) $get("<%= ddlPriority.ClientID %>").focus();
	}
	function ShowHideDueDateEditor(show) {
		$get("spanEditDueDate").style.display = show ? '' : 'none';
		$get("btnDueDate").style.display = show ? 'none' : '';
		if (show) {
			$("#<%= txDueDate.ClientID %>").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
			$get("<%= txDueDate.ClientID %>").focus();
		}
	}
	function ClearDueDate() {
		$get("<%= txDueDate.ClientID %>").value =  "";
	}
	function ShowNewComment() {
		$('#txtNewComment').hide();
		$('#divNewComment').show();
		try{ $get('<%=tbNewComment.ClientID%>').focus(); } <%-- just in case the editor is switched off. trycatch is for IE to suppress error --%>
		catch(ex) {}
		if ($get('rte').contentWindow) {
			$get('rte').contentWindow.focus();
		}
	}
	function ShowHideNewSubscriber(show) {
		$get('spanNewSubscriber').style.display = show ? '' : 'none';
		$get('<%= aNewSubscriber.ClientID %>').style.display = show ? 'none' : '';
		if (show) $('#tbNewSubscriber').focus();
		else $get('tbNewSubscriber').value = "";
	}
	function AddSubscriber(userId, userName) {
		ShowHideNewSubscriber(false);
		<%--add subscriber to the hidden field if he's not there yet--%>
		var strSubcribers = $get("<%= hiddenSubscribers.ClientID %>").value;
		if (strSubcribers.indexOf(";" + userId + ";") > -1) return; <%-- user already in subscribers --%>
		strSubcribers += ";" + userId + ";";
		strSubcribers = strSubcribers.replace(";;", ";");
		$get("<%= hiddenSubscribers.ClientID %>").value = strSubcribers;

		var spanSubsList = $get("spanSubscribersList");
		var spanNewSubsriber = document.createElement("span");
		spanNewSubsriber.setAttribute("id", "spanSubscriber" + userId);
		spanSubsList.appendChild(spanNewSubsriber);
		spanNewSubsriber.innerHTML = userName + " <a href=\"javascript:RemoveSubscriber('" + userId + "')\"><img alt='' src='images/delete.gif' /></a> &nbsp; ";
	}
	function RemoveSubscriber(userId) {
		<%--remove subscriber from the hidden field--%>
		var subscribers = $get("<%= hiddenSubscribers.ClientID %>").value;
		subscribers = subscribers.replace(";" + userId + ";", ";");
		if(subscribers.substr(0, userId.length) === userId)
			subscribers = subscribers.substring(userId.length); <%--remove from beginning--%>
		subscribers = subscribers.replace(";;", ";");
		$get("<%= hiddenSubscribers.ClientID %>").value = subscribers;

		<%--remove from the visible list--%>
		var spanSubcriber = $get("spanSubscriber" + userId);
		spanSubcriber.parentNode.removeChild(spanSubcriber);

		<%--ask - if remove permanently--%>
		var username = $.trim(spanSubcriber.innerText);
		if(confirm('User "' + username + '" was removed from the message recipients.\n\nWould you like to PERMANENTLY remove "' + username + '" from this ticket?\n\nPress OK to remove permanently, press Cancel to continue.'))
			PageMethods.RemoveSubscriber(userId, <%= _issueID %>);
	}
	function ProcessTemplate(templateText) {
		if (templateText == "") return;

		<%--if we're deleting a template--%>
		if (templateText.indexOf("del") === 0) {
			if (!confirm("are you sure?")) return;
			$get("<%= btnDeleteTemplate.ClientID %>").click(); //initiate fake button click
			return;
		}
		if(editorVisible) doCheck();
		$get("<%=tbNewComment.ClientID%>").value += templateText;
		ShowEditor(); <%--refresh the editor contents--%>
	}

	function ProcessCtrlEnter(e) {
		var evt = e ? e : window.event;
		if (evt.ctrlKey) {
			var keyCode = evt.keyCode ? evt.keyCode : evt.which;
			if (keyCode == 13) {
				$("#htmlBtnAdd").click();
				return false;
			}
			else
				return true;
		}
		else
			return true;
	}

	function AddComment() {
		var btnAddNoAttach = document.getElementById('<%= btnAddComment.ClientID %>');
		var btnAddWithAttach = document.getElementById('<%= btnAddCommentWithUpload.ClientID %>');
		var fileInput = document.getElementById('<%= fileUpload.ClientID %>');
		if (!fileInput.value) {
			btnAddNoAttach.click(); //regular add
		}
		else {
			btnAddWithAttach.click(); //trigger a postback
		}
	}

	function PromptToTakeOver() {
		if(confirm("You're adding a message to a 'new' ticket.\nWould you like to 'take it over'?\n\nThe status will change to 'in-process' you become the 'assigned-to' tech."))
			$get("<%=hiddenTakeover.ClientID%>").value = "1";
	}

	function IsNewCommentEmpty() {
		return $get("<%=tbNewComment.ClientID %>").value.trim() == "";
	}
</script>

</asp:Content>