﻿<%@ Page Title="" Language="C#" MasterPageFile="~/HelpDeskMaster.Master" AutoEventWireup="true" CodeBehind="AdminCompanies.aspx.cs" Inherits="HelpDesk.AdminCompanies" culture="auto" meta:resourcekey="PageResource1" uiculture="auto" %>
<%@ Register TagPrefix="crm" TagName="CompanyList" Src="~/CRMCompanyList.ascx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<p><strong><a href="Admin.aspx">Administration</a> &raquo;
		<asp:Label ID="lblCompanies" runat="server" EnableViewState="False" 
		meta:resourcekey="lblCompaniesResource1">Companies</asp:Label></strong></p>

<p><asp:Label ID="lblCompaniesDesc" runat="server" CssClass="grey" EnableViewState="False" meta:resourcekey="lblCompaniesDescResource1">If Jitbit CRM integration is enabled, you can map HelpDesk companies to the entries in Jitbit CRM here.</asp:Label> 
<asp:Label ID="lbTrial" runat="server" ForeColor="Red" meta:resourcekey="lbTrialResource1">Editing is enabled in the full version only</asp:Label></p>

<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<asp:UpdatePanel runat="server" ID="UpdatePanel1">
<ContentTemplate>
	<asp:datagrid EnableViewState="false" id="gridCompanies" runat="server" CssClass="graphtable lightbg" 
		CellPadding="9" Width="100%"
		AutoGenerateColumns="False" UseAccessibleHeader="True"
		OnEditCommand="gridCompanies_EditCommand"
		OnItemDataBound="gridCompanies_ItemDataBound"
		OnCancelCommand="gridCompanies_CancelCommand"
		OnUpdateCommand="gridCompanies_UpdateCommand" 
		meta:resourcekey="gridCompaniesResource1">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:BoundColumn ReadOnly="True" Visible="False" DataField="CompanyID"></asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Name">
				<ItemTemplate><a href="ActiveTickets.aspx?FromCompanyID=<%# Eval("CompanyID") %>"><%# Eval("Name") %></a></ItemTemplate>
				<EditItemTemplate><asp:TextBox runat="server" ID="tbCompanyName" Text='<%# Eval("Name") %>'></asp:TextBox></EditItemTemplate>
				<ItemStyle Width="50%" />
			</asp:TemplateColumn>
			<asp:TemplateColumn >
				<ItemTemplate><span runat="server" ID="CRMName"></span></ItemTemplate>
				<EditItemTemplate><crm:CompanyList ID="crmList" runat="server" /></EditItemTemplate>
				<ItemStyle Width="50%" />
			</asp:TemplateColumn>
			<asp:EditCommandColumn  CancelText="cancel" EditText="edit" UpdateText="update" 
				meta:resourcekey="EditCommandColumnResource1"></asp:EditCommandColumn>
		</Columns>
	</asp:datagrid>
</ContentTemplate>
</asp:UpdatePanel>

<p runat="server" visible="false" id="pError" style="color:red;" class="grey">
<asp:Label ID="lbError" runat="server" EnableViewState="False" meta:resourcekey="lbErrorResource1">Warning: failed to connect to Jitbit CRM; check the integration settings. The error was:</asp:Label> 
<span ID="lbException" runat="server" style="color:red;"></span></p>

</asp:Content>
