<%@ Page language="c#" Codebehind="AdminCreateUser.aspx.cs" AutoEventWireup="True" EnableViewState="false" Inherits="HelpDesk.AdminCreateUser" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Register TagPrefix="ll" TagName="LanguageList" Src="~/LanguageList.ascx" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">

<p><strong><a href="Admin.aspx">Administration</a> &raquo;
    <a href="AdminUsers.aspx"><asp:Label ID="lblUsers" runat="server" meta:resourcekey="lblUsersResource1">Users</asp:Label></a> &raquo;
    <asp:Label ID="lblCreate" runat="server" meta:resourcekey="lblCreateResource1">Create a new user</asp:Label></strong></p>
<table class="outerborder lightbg grey" cellpadding="7">
	<tr>
		<th colspan="2"><b><asp:Label ID="lblCreateUser" runat="server" meta:resourcekey="lblCreateUserResource1">Create a new user</asp:Label></b></th>
	</tr>
	<tr>
		<td><span style="color:Red">*</span>
		    <asp:Label ID="lblUsername" AssociatedControlID="tbUsername" runat="server" meta:resourcekey="lblUsernameResource1">Username:</asp:Label></td>
		<td>
		    <asp:TextBox id="tbUsername" runat="server"></asp:TextBox>
		    <a href="javascript:void(0)" onclick="CheckUserName()">
                <asp:Label ID="lblCheck" runat="server" meta:resourcekey="lblCheckResource1">check availability</asp:Label>
            </a><img style="display:none" src="images/ok.png" id="imgOk" alt="username available" /><img style="display:none" src="images/error.png" id="imgError" alt="allready taken" />
		</td>
	</tr>
	<tr>
		<td><span style="color:Red">*</span>
		    <asp:Label ID="lblEmail" AssociatedControlID="tbEmail" runat="server" meta:resourcekey="lblEmailResource1">Email:</asp:Label></td>
		<td><asp:TextBox id="tbEmail" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblFirstname" AssociatedControlID="tbFirstName" runat="server" meta:resourcekey="lblFirstnameResource1">First name:</asp:Label></td>
		<td><asp:TextBox id="tbFirstName" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblLastName" AssociatedControlID="tbLastName" runat="server" meta:resourcekey="lblLastNameResource1">Last name:</asp:Label></td>
		<td><asp:TextBox id="tbLastName" runat="server"></asp:TextBox></td>
	</tr>
	<tr id="trPsw" runat="server">
		<td><span style="color:Red">*</span>
		    <asp:Label ID="lblPsw" AssociatedControlID="tbPassword" runat="server" meta:resourcekey="lblPswResource1">Password:</asp:Label></td>
		<td>
			<asp:TextBox id="tbPassword" runat="server"></asp:TextBox></td>
	</tr>
    <tr id="trLang" runat="server">
		<td>
		    <asp:Label ID="Label1" AssociatedControlID="llLang" runat="server" meta:resourcekey="lblLanguageResource1">Language:</asp:Label></td>
		<td>
			<ll:LanguageList ID="llLang" runat="server" AllowEmpty="True" />
        </td>
	</tr>
	<tr id="trAdmin" runat="server">
		<td></td>
		<td>
			<asp:CheckBox id="cbAdmin" runat="server" Text="Is Administrator" meta:resourcekey="cbAdminResource1"></asp:CheckBox></td>
	</tr>
	<tr>
		<td></td>
		<td>
			<asp:Button id="btnCreate" runat="server" Text="create" CssClass="gradientbg" onclick="btnCreate_Click" meta:resourcekey="btnCreateResource1"></asp:Button>
			<br /><br />
			After clicking this button a user will be created in the system<br />and a welcome email will be sent to him.</td>
	</tr>
</table>

<script type="text/javascript">
function CheckUserName() {
    var textboxelement = document.getElementById("<%= tbUsername.ClientID %>");
    //jquery ajax post
    $.post(
        "ajaxutils.ashx", //url
        {username: textboxelement.value, mode: "CheckUserNameAvailability" }, //name-values to post
        function(data) {
            if (data == "1") {
                $("#imgOk").hide();
                $("#imgError").show();
            }
            else {
                $("#imgOk").show();
                $("#imgError").hide();
            }
        }, //callback
        "html");     //returned datatype
}
</script>
</asp:Content>