	<%@ Page Language="c#" CodeBehind="AdminSettings.aspx.cs" AutoEventWireup="True"
    Inherits="HelpDesk.AdminSettings" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">

<p><strong><a href="Admin.aspx">Administration</a> &raquo; <asp:Label runat="server" ID="lblSettings" EnableViewState="False" meta:resourcekey="lblSettingsResource1" Text="Settings"/></strong></p>

<div runat="server" id="divErrors" visible="false" enableviewstate="false"></div>

<script src="js/colorpicker.js" type="text/javascript"></script>
            
<asp:Button ID="btnSaveTop" style="padding:7px 7px 7px 7px" runat="server" Text="SAVE CHANGES" Font-Bold="True" ForeColor="Red" CssClass="gradientbg" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1" />
<br /><br />
            
<div runat="server" id="divTestEmail" visible="false" enableviewstate="false"></div>

<table class="outerborder lightbg grey" cellpadding="5" cellspacing="0" width="650">
<tr><th colspan="2">
    <asp:Label ID="lblDesign" runat="server" EnableViewState="false">Design</asp:Label>
    <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#design')">..?</a>
</th></tr>
<tr>
    <td style="width:40%" align="right"><asp:Label AssociatedControlID="tbHeaderBGColor" meta:resourcekey="lblHeaderBGColorResource1" EnableViewState="false" runat="server" Text="Header background color:<br />(dark tones are highly recommended)" /></td>
    <td>
        #<asp:TextBox ID="tbHeaderBGColor" runat="server"/><a href="javascript:showColorGrid2('none', '<%=tbHeaderBGColor.ClientID %>')">...</a><span id="colorpicker201" class="colorpicker201"></span>
        <asp:RegularExpressionValidator ID="rgxvHeaderColor" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbHeaderBGColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
    </td>
</tr>
<tr>
    <td align="right"><asp:Label AssociatedControlID="tbMenuBarBGColor" meta:resourcekey="lblMenuBarBGColorResource1" EnableViewState="false" runat="server" Text="Menu-bar background color:" /></td>
    <td>
        #<asp:TextBox ID="tbMenuBarBGColor" runat="server"/><a href="javascript:showColorGrid2('none', '<%=tbMenuBarBGColor.ClientID %>')">...</a>
        <asp:RegularExpressionValidator ID="RegularExpressionValidator1" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbMenuBarBGColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
    </td>
</tr>
<tr>
    <td align="right"><asp:Label AssociatedControlID="tbMenuBarTabColor" meta:resourcekey="lblMenuBarTabColorResource1" EnableViewState="false" runat="server" Text="Menu-bar tabs color:" /></td>
    <td>
        #<asp:TextBox ID="tbMenuBarTabColor" runat="server"/><a href="javascript:showColorGrid2('none', '<%=tbMenuBarTabColor.ClientID %>')">...</a>
        <asp:RegularExpressionValidator ID="RegularExpressionValidator2" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbMenuBarTabColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
    </td>
</tr>
<tr>
    <td align="right"><asp:Label AssociatedControlID="tbMenuBarTextColor" meta:resourcekey="lblMenuBarTextColorResource1" EnableViewState="false" runat="server" Text="Menu-bar tab text color:" /></td>
    <td>
        #<asp:TextBox ID="tbMenuBarTextColor" runat="server"/><a href="javascript:showColorGrid2('none', '<%=tbMenuBarTextColor.ClientID %>')">...</a>
        <asp:RegularExpressionValidator ID="RegularExpressionValidator3" runat="server" ValidationExpression="[0-9A-Fa-f]{6}" ControlToValidate="tbMenuBarTextColor" Display="Dynamic" ErrorMessage="Wrong format"></asp:RegularExpressionValidator>
    </td>
</tr>
<tr valign="top">
    <td align="right"><asp:Label AssociatedControlID="fileLogo" meta:resourcekey="lblfileLogoResource1" EnableViewState="false" runat="server" Text="Logo image (60px height, <b style='color:red'>PNG</b>):<br/>Transparent background is <b>highly</b> recommended." /></td>
    <td><asp:FileUpload ID="fileLogo" runat="server" /><br /><img src="LogoImage.ashx" alt="logo" /></td>
</tr>
<tr><td></td><td><asp:Button ID="btnResetDesign" runat="server" Text="reset to defaults" meta:resourcekey="btnResetDesignResource1" CausesValidation="false" onclick="btnResetDesign_Click" /></td></tr>
<tr><td></td><td>
<i>After updating the design settings you may have to open the homepage and hit F5 ("Refresh") several times in your browser to clear the browser's cache.</i>
</td></tr>
<tr><td colspan="2" style="border-bottom:1px solid silver"></td></tr>
<tr>
    <td align="right">Helpdesk title (displayed on top):</td>
    <td><asp:TextBox ID="tbInstanceDescr" runat="server" EnableViewState="False"></asp:TextBox></td>
</tr>
<tr id="trInstanceName" runat="server" enableviewstate="false">
    <td align="right">Helpdesk URL:</td>
    <td>https://<asp:TextBox ID="tbInstanceName" runat="server" EnableViewState="False"></asp:TextBox>.jitbit.com/helpdesk</td>
</tr>
<tr id="trInstanceDomain" runat="server" enableviewstate="false" valign="top">
    <td align="right">Custom domain:</td>
    <td>
        http://<asp:TextBox ID="tbInstanceDomain" runat="server" EnableViewState="False"></asp:TextBox>/helpdesk
        <div class="grey">leave blank to disable this feature</div>
        <a href="http://www.jitbit.com/hosted-helpdesk/articles/hosted-help-desk-custom-domain/" target="_blank">more info about custom domains</a>
    </td>
</tr>
</table>

<br /><br />

<table class="graphtable lightbg grey" cellpadding="5" cellspacing="0" width="650">
<tr>
    <th>
        <asp:Label runat="server" ID="lblVarious" EnableViewState="False" meta:resourcekey="lblVariousResource1" Text="Various settings"/>
        <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#various')">..?</a>
    </th>
</tr>
<tr>
    <td>
        <asp:CheckBox ID="cbAllowGuestSubmission" onclick="EnableDisableCaptchaCheckbox(this.checked)" runat="server" Text="Allow unregistered users submit tickets without logging in" meta:resourcekey="cbAllowGuestSubmissionResource1" /><br />
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<asp:CheckBox ID="cbDisableCaptcha" runat="server" Text="Disable captcha for guest submissions" meta:resourcekey="cbDisableCaptchaResource1" /><br />
        <asp:CheckBox ID="cbAllowAnonymousKBAccess" runat="server" Text="Allow unregistered users access the Knowledge Base" meta:resourcekey="cbAllowAnonymousKBAccessResource1" /><br />
        <asp:CheckBox ID="chkAllowUserRegistration" runat="server" Text="Allow new users to register themselves (uncheck if you want to create all new users MANUALLY)" meta:resourcekey="chkAllowUserRegistrationResource1" /><br />
        <asp:CheckBox ID="cbRestrictIssueDeletion" runat="server" Text="Restrict ticket deletion to Admins only (uncheck to allow users delete their own tickets)" meta:resourcekey="cbRestrictIssueDeletionResource1" /><br />
        <asp:CheckBox ID="cbRestrictIssueClosing" runat="server" Text="Restrict ticket closing to Technicians only (uncheck to allow users Close their own tickets)" meta:resourcekey="cbRestrictIssueClosingResource1" /><br />
        <asp:CheckBox ID="cbSeeEveryonesIssues" runat="server" Text="Everyone sees everyones tickets (not recommended)" meta:resourcekey="cbSeeEveryonesIssuesResource1" /><br />
        <asp:CheckBox ID="cbDisableKB" runat="server" Text="Disable the knowledge-base" meta:resourcekey="cbDisableKBResource1" /><br />
		<asp:CheckBox ID="cbDisableAssets" runat="server" Text="Disable Assets" meta:resourcekey="cbDisableAssetsResource1" /><br />

        <table cellpadding="4" width="100%">
        <tr>
            <td align="right" style="width:40%">
                <asp:Label runat="server" ID="lblLang" EnableViewState="False" meta:resourcekey="lblLangResource1" Text="Language:" AssociatedControlID="llLang" />
            </td>
            <td>
                <ll:languagelist id="llLang" runat="server" />
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label ID="lblMaxAttachSize" AssociatedControlID="tbMaxAttachSize" runat="server" EnableViewState="False" meta:resourcekey="lblMaxAttachSizeResource1">Maximum attachment filesize (in kb):</asp:Label>
            </td>
            <td>
                <asp:TextBox ID="tbMaxAttachSize" runat="server" EnableViewState="False"/>
                <asp:CustomValidator id="cstvalAttachSize" runat="server" 
                    ControlToValidate="tbMaxAttachSize" 
                    ErrorMessage="5mb max in the hosted version" 
                    onservervalidate="cstvalAttachSize_ServerValidate"></asp:CustomValidator>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" AssociatedControlID="ddlNewIssueCat" ID="lblDefaultCategory" EnableViewState="False" meta:resourcekey="lblDefaultCategoryResource1" Text="Default category (pre-selected on the 'new ticket' page):"/>
            </td>
            <td>
                <asp:DropDownList ID="ddlNewIssueCat" runat="server" DataTextField="Name" DataValueField="CategoryID" meta:resourcekey="ddlNewIssueCatResource1" />
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label ID="lblAutoLoginSharedSecret" AssociatedControlID="tbAutoLoginSharedSecret" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretResource1">Shared secret for remote authentication:</asp:Label>
            </td>
            <td>
                <asp:TextBox ID="tbAutoLoginSharedSecret" MaxLength="20" runat="server" EnableViewState="False"/>
				<button type="button" onclick="$('#<%= tbAutoLoginSharedSecret.ClientID %>').val(GeneratePassword(12))">
					<asp:Label runat="server" meta:resourcekey="lblGenerateResource1" EnableViewState="false">generate</asp:Label></button>
            </td>
        </tr>
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label ID="lblAutoLoginSharedSecretHelp" runat="server" EnableViewState="False" meta:resourcekey="lblAutoLoginSharedSecretHelpResource1">Used for automatic user sign-in. See the manual for more info about the remote authentication API.</asp:Label></i>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label ID="lblServerTimeOffsetTitle" AssociatedControlID="tbServerTimeOffset" runat="server" EnableViewState="False" meta:resourcekey="lblServerTimeOffsetTitleResource1">Server time offest:</asp:Label>
            </td>
            <td><asp:TextBox ID="tbServerTimeOffset" runat="server" EnableViewState="False"/></td>
        </tr>
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label ID="lblServerTimeOffsetHelp" runat="server" EnableViewState="False" meta:resourcekey="lblServerTimeOffsetHelpResource1">For example: if your server is in New York-USA, but your helpdesk is French, you might want to add a 6 hours offset (cause when it's 1:00 in NY it is 7:00 in Paris. This can be a negative value. Integer.</asp:Label></i>
				<br /><i>Current server time is: <b><%= DateTime.Now.ToLongTimeString() %></b></i>
            </td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblHoursToEscalate" AssociatedControlID="tbHoursToEscalateAfter" EnableViewState="False" meta:resourcekey="lblHoursToEscalateResource1" Text="Escalate ticket after (hours):" />
            </td>
            <td><asp:TextBox ID="tbHoursToEscalateAfter" runat="server" EnableViewState="False"/></td>
        </tr>
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label ID="lblHoursToEscalateHelp" runat="server" EnableViewState="False" meta:resourcekey="lblHoursToEscalateHelpResource1">If a ticket was not updated within this time, the ticket "escalates" - an email is sent to all the ticket subscribers (to the owner, technician, administrator).</asp:Label></i>
            </td>
        </tr>
		<tr>
			<td></td>
			<td><asp:CheckBox ID="cbDontSendEscalationToSubmitter" runat="server" Text="Don't send escalation note to ticket submitter" /></td>
		</tr>
		<tr>
            <td align="right">
                <asp:Label runat="server" ID="lblDaysToCloseAfter" AssociatedControlID="tbDaysToCloseAfter" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterResource1" Text="Auto-close inactive ticket after (days):" />
            </td>
            <td><asp:TextBox ID="tbDaysToCloseAfter" runat="server" EnableViewState="False"/></td>
        </tr>
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblDaysToCloseAfterHelpResource1">If a ticket has not been answered by the SUBMITTER within this time, the ticket is closed.</asp:Label></i>
            </td>
        </tr>
        </table>
    </td>
</tr>
</table>

<br /><br />

<table class="graphtable lightbg grey" cellpadding="5" width="650">
<tr>
    <th>
        <asp:Label runat="server" ID="Label1" EnableViewState="False" meta:resourcekey="Label1Resource1" Text="Email settings"/>
        <a href="javascript:DisplayHelp(' <%=HelpFilePath()%>#email')">..?</a>
    </th>
</tr>
<tr>
    <td>
        <asp:CheckBox ID="cbEmail" runat="server" Text="Email notifications enabled" meta:resourcekey="cbEmailResource1" /><br />
        
        <asp:CheckBox ID="cbDisableWelcomeMessage" runat="server" Text="Disable the welcome email to new users (not recommended)" meta:resourcekey="cbDisableWelcomeMessageResource1" /><br />
        <asp:CheckBox ID="cbDisableCloseNotification" runat="server" Text="Disable notification about ticket closing" meta:resourcekey="cbDisableCloseNotificationResource1" /><br />
		<asp:CheckBox ID="cbSendTechniciansEmailOnNewIssue" runat="server" Text="Notify technicians of new tickets (remember to edit the category permissions)" meta:resourcekey="cbSendTechniciansEmailOnNewIssueResource1" /><br />
        
        <table cellpadding="4" width="100%">
        <tr>
            <td style="width:40%" align="right">
                <b><asp:Label runat="server" ID="lblReplyTo" AssociatedControlID="tbReplyTo" EnableViewState="False" meta:resourcekey="lblReplyToResource1" Text='"Reply-to":'/></b>
            </td>
            <td><asp:TextBox ID="tbReplyTo" runat="server"/></td>
        </tr>
        <tr><td></td><td>
            <i class="grey"><asp:Label runat="server" ID="lblReplyToNote" EnableViewState="False" meta:resourcekey="lblReplyToNoteResource1" Text="It is recommended to set the 'Reply-To' address to the same email address that as in the email-checker below."/></i>
        </td></tr>
        <tr>
            <td align="right">
                <b><asp:Label runat="server" ID="lblFromName" AssociatedControlID="tbFromName" EnableViewState="False" meta:resourcekey="lblFromNameResource1" Text='"From" name:'/></b>
            </td>
            <td><asp:TextBox ID="tbFromName" runat="server"/></td>
        </tr>
        <tr><td></td><td>
            <i class="grey">Example "MyCompany Support Team". Used for all email notifications, except the update messages (in this case, from "From" name is the name of the user or technician who wrote the message).</i>
        </td></tr>
		<tr>
            <td></td>
            <td><br /><br /><asp:CheckBox ID="cbUseFromNameForUserOrigMsgs" runat="server" Text="Use 'From Name' for ALL outgoing notifications" meta:resourcekey="cbUseFromNameForUserOrigMsgsResource1" /> </td>
        </tr>
        <tr><td></td><td>
            <i class="grey">When checked, all outgoing email notitications will have
				"<%= string.IsNullOrEmpty(HelpDesk.BusinessLayer.Settings.FromName) ? "Support Team" : HelpDesk.BusinessLayer.Settings.FromName %>" in the "from" field.
				When unchecked, replies will have actual usernames in the "from" field (like "From: John"), and only system-messages will be from "<%= string.IsNullOrEmpty(HelpDesk.BusinessLayer.Settings.FromName) ? "Support Team" : HelpDesk.BusinessLayer.Settings.FromName %>".</i>
        </td></tr>
        </table>
    </td>
</tr>
<tr>
    <td>
        <b>SMTP server settings:</b>
        <div id="divDefaultSMTP" runat="server" enableviewstate="false">
            <asp:CheckBox ID="cbUseDefaultSMTP" runat="server" Text="Use Jitbit's SMTP server" meta:resourcekey="cbDefaultSMTPResource1" onclick="EnableDisableSMTPFields(this.checked);" />
            <script type="text/javascript">
                function EnableDisableSMTPFields(value) {
                    try {
                        document.getElementById("<%= tbFrom.ClientID %>").disabled = value;
                        document.getElementById("<%= tbSMTPServer.ClientID %>").disabled = value;
                        document.getElementById("<%= tbSMTPPort.ClientID %>").disabled = value;
                        document.getElementById("<%= cbSmtpAuth.ClientID %>").disabled = value;
                        document.getElementById("<%= tbSMTPUser.ClientID %>").disabled = value;
                        document.getElementById("<%= tbSMTPPsw.ClientID %>").disabled = value;
                        document.getElementById("<%= cbSMTPUseSSL.ClientID %>").disabled = value;
                        //document.getElementById("<%= btnTestSMTP.ClientID %>").disabled = value;

                        strClassName = value ? "grey" : "";
                        $("#<%= lblFrom.ClientID %>").attr("class", strClassName);
                        $("#<%= lblSMTPServer.ClientID %>").attr("class", strClassName);
                        $("#<%= lblSMTPPort.ClientID %>").attr("class", strClassName);
                        $("#<%= lblSMTPUser.ClientID %>").attr("class", strClassName);
                        $("#<%= lblSMTPPassword.ClientID %>").attr("class", strClassName);

                        $("label[for='<%= cbSmtpAuth.ClientID %>']").attr("class", strClassName);
                        $("label[for='<%= cbSMTPUseSSL.ClientID %>']").attr("class", strClassName);
                    } catch (e) { }
                }
                function InitFields() {
                    EnableDisableSMTPFields(document.getElementById("<%=cbUseDefaultSMTP.ClientID %>").checked);
                }
                window.onload = InitFields;
            </script>
        </div>
        <table cellpadding="4" width="100%">
        <tr>
            <td style="width:40%" align="right">
                <asp:Label runat="server" ID="lblFrom" AssociatedControlID="tbFrom" EnableViewState="False" meta:resourcekey="lblFromResource1" Text='"From" email-address (eg. "robot@myserver.com"):'/>
            </td>
            <td><asp:TextBox ID="tbFrom" runat="server"/></td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblSMTPServer" AssociatedControlID="tbSMTPServer" EnableViewState="False" meta:resourcekey="lblSMTPServerResource1" Text='SMTP server address (eg. "smtp.server.com"):'/>
            </td>
            <td><asp:TextBox ID="tbSMTPServer" runat="server"/></td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblSMTPPort" AssociatedControlID="tbSMTPPort" EnableViewState="False" meta:resourcekey="lblSMTPPortResource1" Text='SMTP server port (eg. "25"):'/>
            </td>
            <td><asp:TextBox ID="tbSMTPPort" runat="server"/><span class="grey"> (25, 465, 587 etc.)</span></td>
        </tr>
        <tr>
            <td></td>
            <td><asp:CheckBox ID="cbSmtpAuth" runat="server" Text="SMTP server requires authentication" meta:resourcekey="cbSmtpAuthResource1"/></td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblSMTPUser" AssociatedControlID="tbSMTPUser" EnableViewState="False" meta:resourcekey="lblSMTPUserResource1" Text="SMTP username:"/>
            </td>
            <td><asp:TextBox ID="tbSMTPUser" runat="server"/></td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblSMTPPassword" AssociatedControlID="tbSMTPPsw" EnableViewState="False" meta:resourcekey="lblSMTPPasswordResource1" Text="SMTP password:"/>
            </td>
            <td><asp:TextBox ID="tbSMTPPsw" runat="server" TextMode="Password"/></td>
        </tr>
        <tr><td></td>
            <td><asp:CheckBox ID="cbSMTPUseSSL" runat="server" Text="Use SSL to connect to the SMTP server" meta:resourcekey="cbSMTPUseSSLResource1"/>
        </td></tr>
        <tr><td></td>
        <td>
            <asp:Button ID="btnTestSMTP" CausesValidation="false" runat="server" Text="Test SMTP settings..." CssClass="gradientbg" onclick="btnTestSMTP_Click" OnClientClick="return PromptForAddress();" />
			<asp:HiddenField ID="hiddenTestEmail" runat="server" EnableViewState="false" />
        </td></tr>
        </table>
    </td>
</tr>
<tr>
    <td>
        <b><asp:Label runat="server" ID="lblEmailTemplate" EnableViewState="False" meta:resourcekey="lblEmailTemplateResource1" Text="Email Template:"/>
        <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#email_template')">..?</a></b>
        <br />
        <asp:CheckBox ID="cbSendHtmlEmails" runat="server" EnableViewState="false" meta:resourcekey="cbSendHtmlEmailsResource1" Text="Send HTML emails (use BBCode in your template)" />
        <br />
        <br />
        <asp:Label AssociatedControlID="tbEmailSubjectTemplate" runat="server" Text="Subject:" meta:resourcekey="lblSubjectResource1" EnableViewState="false" />
        <asp:TextBox ID="tbEmailSubjectTemplate" runat="server" Width="100%"/>
        <asp:Label AssociatedControlID="tbEmailTemplate" runat="server" Text="Body:" EnableViewState="false" meta:resourcekey="lblBodyResource1" />
        <asp:TextBox ID="tbEmailTemplate" runat="server" TextMode="multiline" Rows="14" Width="100%"/>
        <br />
        <asp:Button Text="reset to default" meta:resourcekey="btnResetDesignResource1" style="margin-top:3px" runat="server" ID="btnResetTemplate" onclick="btnResetTemplate_Click" />
    </td>
</tr>
</table>

<br /><br />

<table class="graphtable lightbg grey" cellpadding="5" cellspacing="0" width="650">
<tr><th>
    <asp:Label runat="server" ID="lblIncomingHandler" EnableViewState="False" meta:resourcekey="lblIncomingHandlerResource1" Text="Incoming mail-handler settings"/>
    <a href="javascript:DisplayHelp('<%=HelpFilePath()%>#email_incoming')">..?</a>
</th></tr>
<tr>
    <td>
        <asp:Label runat="server" ID="lblIcomingPrompt" EnableViewState="False" meta:resourcekey="lblIcomingPromptResource1" Text='"Incoming mail-handler" periodically checks a specified email address and generates tickets based on the incoming emails'/>
    </td>
</tr>
<tr>
    <td>
        <table cellpadding="4">
        <tr>
            <td colspan="2">
                <asp:CheckBox ID="cbMailCheckerEnabled" runat="server" Text="Enable automatic email checker" meta:resourcekey="cbMailCheckerEnabledResource1"/>
            </td>
        </tr>
        <tr>
            <td colspan="2">
                <asp:CheckBox ID="cbMailCheckerAllowUnregisteredUsers" runat="server" Text="Accept emails from unregistered users." meta:resourcekey="cbMailCheckerAllowUnregisteredUsersResource1"/>
                <br />
                <i class="grey"><asp:Label runat="server" ID="lblMailCheckerHelp" EnableViewState="False" meta:resourcekey="lblMailCheckerHelpResource1" Text='When OFF, HelpDesk will create email-based tickets only from existing email-addresses, which are already registered in the system. When ON, HelpDesk will convert ALL incoming emails into new tickets. If an email-address is not present in the system yet, HelpDesk will create a new user with a new password. Password is emailed to the user. The user can later retrieve his password via the "forgot password" link.'/></i>
            </td>
        </tr>
        <tr>
            <td style="width:40%" align="right">
                <asp:Label runat="server" ID="lblInterval" AssociatedControlID="tbMailCheckerInterval" EnableViewState="False" meta:resourcekey="lblIntervalResource1" Text="Time interval (in minutes, 10 recommended):"/>
            </td>
            <td><asp:TextBox ID="tbMailCheckerInterval" runat="server"/></td>
        </tr>
        <tr>
            <td align="right">
                <asp:Label runat="server" ID="lblDefCat" AssociatedControlID="ddlCat" EnableViewState="False" meta:resourcekey="lblDefCatResource1" Text="New tickets go the default category:"/>
            </td>
            <td>
                <asp:DropDownList ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID"/>
            </td>
        </tr>
        <tr><td></td>
            <td><button type="button" onclick="document.location='AdminPOPServers.aspx'"><asp:Label runat="server" EnableViewState="false" meta:resourcekey="lblPOPServersResource1">Add/remove incoming email accounts...</asp:Label></button></td>
        </tr>
        </table>
    </td>
</tr>
</table>
<br /><br />

<table class="graphtable lightbg grey" cellpadding="5" cellspacing="0" width="650">
<tr><th>
    Jitbit CRM integration (optional)
</th></tr>
<tr><td>
	<table cellpadding="4" width="100%">
        <tr>
            <td align="right" style="width:40%">
                <asp:Label runat="server" ID="lblCRMRootUrl" AssociatedControlID="tbCRMRootUrl" EnableViewState="False" meta:resourcekey="lblCRMRootUrl1" Text="Jitbit CRM root URL" />
            </td>
            <td><asp:TextBox ID="tbCRMRootUrl" runat="server" EnableViewState="False" Width="100%" /></td>
        </tr> 
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblCRMRootUrlHelpResource1">Example - http://mysite/crm/ or http://acme.jitbit.com/crm/ </asp:Label></i>
            </td>
        </tr>
		<tr>
            <td align="right">
                <asp:Label ID="lblCRMSharedKey" runat="server" AssociatedControlID="tbCRMSharedKey" EnableViewState="False" meta:resourcekey="lblCRMSharedKey1" Text="Jitbit CRM shared key" />
            </td>
            <td><asp:TextBox ID="tbCRMSharedKey" runat="server" EnableViewState="False" /></td>
        </tr>
		<tr><td></td>
            <td>
                <i class="grey">The shared key specified in Jitbit CRM</i>
            </td>
        </tr>     
		<tr>
            <td align="right">
                <asp:Label ID="lblCRMBaseUrl" runat="server" AssociatedControlID="tbCRMBaseUrl" EnableViewState="False" meta:resourcekey="lblCRMBaseUrl1" Text="Jitbit CRM company URL format" />
            </td>
            <td><asp:TextBox ID="tbCRMBaseUrl" runat="server" EnableViewState="False" Width="100%" /></td>
        </tr>
        <tr><td></td>
            <td>
                <i class="grey"><asp:Label runat="server" EnableViewState="False" meta:resourcekey="lblCRMBaseUrlHelpResource1">Use only if non-standard or if standard doesn't work. {0} indicates a company-id in CRM. Example - http://mysite/crm/CompanyView.aspx?CompanyID={0}</asp:Label></i>
            </td>
        </tr>
		</table>
</td></tr></table>
<br />
<asp:Button ID="btnSave" style="padding:7px 7px 7px 7px" runat="server" Text="SAVE CHANGES" Font-Bold="True" ForeColor="Red"
    CssClass="gradientbg" OnClick="btnSave_Click" meta:resourcekey="btnSaveResource1">
</asp:Button>
<script type="text/javascript" src="js/passwordgen.js"></script>
<script type="text/javascript">
	function PromptForAddress() {
		var emailAddr = prompt("Enter email to send the test message to", "info@jitbit.com");
		if (emailAddr == null || emailAddr == "") return false;
		document.getElementById("<%= hiddenTestEmail.ClientID %>").value = emailAddr;
		return true;
	}
	function EnableDisableCaptchaCheckbox(checked) {
		document.getElementById("<%= cbDisableCaptcha.ClientID %>").disabled = !checked;
	}
	EnableDisableCaptchaCheckbox(document.getElementById("<%=cbAllowGuestSubmission.ClientID %>").checked)
</script>
</asp:Content>