﻿<%@ Page Title="" Language="C#" MasterPageFile="HelpDeskMaster.Master" AutoEventWireup="true" CodeBehind="Assets.aspx.cs" Inherits="HelpDesk.Assets" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<asp:UpdatePanel ID="UpdatePanel1" runat="server">
<ContentTemplate>
<table style="float:right;margin-bottom:15px;" id="tblFilter" runat="server" class="outerborder grey lightbg" cellpadding="7">
<tr>
	<td><asp:Label ID="lblType" runat="server" meta:resourcekey="lblTypeResource1" EnableViewState="false">Type</asp:Label>
		<asp:DropDownList ID="ddlTypesFilter" runat="server"></asp:DropDownList></td>
	<td><asp:Label ID="lblManufacturer" runat="server" meta:resourcekey="lblManufacturerResource1" EnableViewState="false">Manufacturer</asp:Label>
		<asp:DropDownList ID="ddlManufacturersFilter" runat="server"></asp:DropDownList></td>
	<td><asp:Label ID="lblSupplier" runat="server" meta:resourcekey="lblSupplierResource1" EnableViewState="false">Supplier</asp:Label>
		<asp:DropDownList ID="ddlSuppliersFilter" runat="server"></asp:DropDownList></td>
	<td><asp:Label ID="lblName" runat="server" meta:resourcekey="lblNameResource1" EnableViewState="false">Name (part of it)</asp:Label>
		<asp:TextBox ID="tbNameFilter" runat="server" EnableViewState="false" Columns="7"></asp:TextBox>
	</td>
	<td><asp:Label ID="lblLocationFilter" runat="server" meta:resourcekey="lblLocationFilterResource1" EnableViewState="false">Location (part of it)</asp:Label>
		<asp:TextBox ID="tbLocationFilter" runat="server" EnableViewState="false" Columns="7"></asp:TextBox>
	</td>
	<td><asp:Button ID="btnFilter" runat="server" Text="Apply filter" OnClick="btnFilter_Click" EnableViewState="false" meta:resourcekey="btnFilterResource1" /></td>
</tr>
</table>
<asp:DataGrid runat="server" ID="gridAssets" UseAccessibleHeader="true" Width="100%"
	CellPadding="7" CssClass="lightbg sortable graphtable outerborder" AutoGenerateColumns="false"
	ShowFooter="true" OnEditCommand="gridAssets_EditCommand"
	OnCancelCommand="gridAssets_CancelCommand" 
		OnUpdateCommand="gridAssets_UpdateCommand" 
		style="clear:both;margin-bottom:15px" 
		onitemdatabound="gridAssets_ItemDataBound">
	<HeaderStyle Wrap="false"></HeaderStyle>
	<FooterStyle CssClass="gradientbg sortbottom" />
	<AlternatingItemStyle CssClass="alternativeLightbg" />
	<Columns>
		<asp:BoundColumn ReadOnly="true" DataField="ItemID" Visible="false" />
		<asp:TemplateColumn HeaderText="Type" ItemStyle-Wrap="false">
			<ItemTemplate><%# Eval("Type") %></ItemTemplate>
			<EditItemTemplate>
				<asp:DropDownList id="ddlTypesEdit" runat="server" DataValueField="TypeID" test='<%= Bind("Type") %>' DataTextField="Name" DataSource="<%#TypesDataTable%>"></asp:DropDownList>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:BoundColumn HeaderText="Model name" DataField="ModelName" ItemStyle-Width="100%" />
		<asp:TemplateColumn HeaderText="Manufacturer" ItemStyle-Wrap="false">
			<ItemTemplate><%# Eval("Manufacturer")%></ItemTemplate>
			<EditItemTemplate>
				<asp:DropDownList id="ddlManufacturersEdit" runat="server" DataValueField="ManufacturerID" DataTextField="Name" DataSource="<%#ManufacturersDataTable%>"></asp:DropDownList>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Supplier" ItemStyle-Wrap="false">
			<ItemTemplate><%# Eval("Supplier")%></ItemTemplate>
			<EditItemTemplate>
				<asp:DropDownList id="ddlSuppliersEdit" runat="server" DataValueField="SupplierID" DataTextField="Name" DataSource="<%#SuppliersDataTable%>"></asp:DropDownList>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Quantity" ItemStyle-Wrap="false">
			<ItemTemplate><%# Eval("Quantity")%></ItemTemplate>
			<EditItemTemplate>
				<asp:TextBox ID="tbQuantity" Width="20px" Text='<%# Eval("Quantity")%>' runat="server"></asp:TextBox>
			</EditItemTemplate>
		</asp:TemplateColumn>
		<asp:BoundColumn HeaderText="Serial Number" DataField="SerialNumber" ItemStyle-Wrap="false" />
		<asp:BoundColumn HeaderText="Location" DataField="Location" ItemStyle-Wrap="false" />
		<asp:BoundColumn HeaderText="Comments" DataField="Comments" ItemStyle-Wrap="false" />
		<asp:TemplateColumn>
			<ItemTemplate><a href="AssignAsset.aspx?ItemID=<%# Eval("ItemID") %>" title="assign to users"><img src="images/techguy_small.png" alt="assign to users" /></a></ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn>
			<HeaderStyle Width="15px" HorizontalAlign="Center" />
			<ItemTemplate>
				<input type="checkbox" name='cbDel<%# Eval("ItemID") %>' value="1" />
			</ItemTemplate>
			<FooterTemplate>
				<asp:ImageButton ID="btnDel" ToolTip="delete selected" runat="server" ImageUrl="images/delete.png" OnClick="btnDel_Click" OnClientClick="return confirm('Are you sure?')" EnableViewState="false"></asp:ImageButton>
			</FooterTemplate>
		</asp:TemplateColumn>
		<asp:EditCommandColumn ItemStyle-Wrap="false" ButtonType="PushButton" CancelText="Cancel" EditText="Edit" UpdateText="Update"></asp:EditCommandColumn>
	</Columns>
	</asp:DataGrid></ContentTemplate>
</asp:UpdatePanel>

<asp:UpdatePanel ID="UpdatePanel2" runat="server">
<ContentTemplate>
<table width="400" class="outerborder lightbg grey" cellpadding="7" style="float:left;margin-right:15px">
<tr><th colspan="2">Add a new asset</th></tr>
<tr>
	<td align="right"><asp:Label ID="lblTypeNew" runat="server" meta:resourcekey="lblTypeResource1" EnableViewState="false">Type</asp:Label></td>
	<td>
		<asp:DropDownList ID="ddlTypesNew" runat="server" onchange="ShowHideAddTextbox(this, jsconstTbNewTypeId)"></asp:DropDownList>
		<asp:TextBox ID="tbNewType" runat="server" EnableViewState="false" style="visibility:hidden"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right"><asp:Label ID="lblManufacturerNew" runat="server" meta:resourcekey="lblManufacturerResource1" EnableViewState="false">Manufacturer</asp:Label></td>
	<td>
		<asp:DropDownList ID="ddlManufacturersNew" runat="server" onchange="ShowHideAddTextbox(this, jsconstTbNewManufacturerId)"></asp:DropDownList>
		<asp:TextBox ID="tbNewManufacturer" runat="server" EnableViewState="false" style="visibility:hidden"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right"><asp:Label ID="lblSupplierNew" runat="server" meta:resourcekey="lblSupplierResource1" EnableViewState="false">Supplier</asp:Label></td>
	<td>
		<asp:DropDownList ID="ddlSuppliersNew" runat="server" onchange="ShowHideAddTextbox(this, jsconstTbNewSupplierId)"></asp:DropDownList>
		<asp:TextBox ID="tbNewSupplier" runat="server" EnableViewState="false" style="visibility:hidden"></asp:TextBox>
	</td>
</tr>
<tr>
	<td align="right">* <asp:Label ID="lblModelName" runat="server" meta:resourcekey="lblModelNameResource1" EnableViewState="false">Model name</asp:Label></td>
	<td>
		<asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbModelName" ID="RequiredFieldValidator1" runat="server" EnableViewState="false" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
		<asp:TextBox ID="tbModelName" runat="server" EnableViewState="false"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right">* <asp:Label ID="lblQuantity" runat="server" meta:resourcekey="lblQuantityResource1" EnableViewState="false">Quantity</asp:Label></td>
	<td>
		<asp:RequiredFieldValidator ValidationGroup="add" ControlToValidate="tbQuantity" ID="RequiredFieldValidator2" runat="server" EnableViewState="false" ErrorMessage="*" Display="Dynamic"></asp:RequiredFieldValidator>
		<asp:RegularExpressionValidator ValidationGroup="add" ControlToValidate="tbQuantity" is="RegularExpressionValidator1" runat="server" EnableViewState="false" Display="Dynamic" ErrorMessage="*" ValidationExpression="\d+"></asp:RegularExpressionValidator>
		<asp:TextBox ValidationGroup="add" ID="tbQuantity" runat="server" EnableViewState="false"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right"><asp:Label ID="lblSerialNumber" runat="server" meta:resourcekey="lblSerialNumberResource1" EnableViewState="false">Serial Number</asp:Label></td>
	<td>
		<asp:TextBox ValidationGroup="add" ID="tbNewSerialNumber" runat="server" EnableViewState="false"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right"><asp:Label ID="lblLocation" runat="server" meta:resourcekey="lblLocationResource1" EnableViewState="false">Location</asp:Label></td>
	<td>
		<asp:TextBox ValidationGroup="add" ID="tbNewLocation" runat="server" EnableViewState="false"></asp:TextBox>
	</td>
</tr><tr>
	<td align="right"><asp:Label ID="lblComments" runat="server" meta:resourcekey="lblCommentsResource1" EnableViewState="false">Comments</asp:Label></td>
	<td>
		<asp:TextBox ValidationGroup="add" ID="tbNewComments" runat="server" TextMode="MultiLine" Rows="2" EnableViewState="false"></asp:TextBox>
	</td>
</tr>
<tr><td colspan="2">
	<asp:Button ValidationGroup="add" ID="btnAdd" runat="server" Text="Add" OnClick="btnAdd_Click" EnableViewState="false" meta:resourcekey="btnAddResource1" />
</td></tr>
</table></ContentTemplate>
</asp:UpdatePanel>

<div class="grey">
The "Assets" page keeps track of your PCs, laptops, PDAs, printers, software etc.
Assets move locations, get reassigned to other people, get replaced, etc.
Knowing what assets you have, where they are located, when they were purchased, if they are still in use, etc. is critical to any organization.
<br /><br />
You can disable this feature in the <a href="AdminSettings.aspx">admin panel</a> if you don't need it.
</div>
<br /><asp:Button ID="btnExportToCSV" runat="server" OnClick="btnExportToCSV_Click" Text="Export to CSV" />

<br style="clear:both" />

<script type="text/javascript">
	var jsconstTbNewTypeId = '<%= tbNewType.ClientID %>';
	var jsconstTbNewManufacturerId = '<%= tbNewManufacturer.ClientID %>';
	var jsconstTbNewSupplierId = '<%= tbNewSupplier.ClientID %>';

	function ShowHideAddTextbox(elem, tbId) {
		if (elem.value == "-1") {
			document.getElementById(tbId).style.visibility = '';
			document.getElementById(tbId).focus();
		}
		else
			document.getElementById(tbId).style.visibility = 'hidden';
	}
</script>


</asp:Content>
