<%@ Page language="c#" EnableViewState="false" Codebehind="Default.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.Default" MasterPageFile="HelpDeskMaster.Master" %>
<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<table cellpadding="31" class="icons">
		<tr>
			<td width="200"><a href="NewIssue.aspx"><img src="images/Add.png" alt="" />
				<b><asp:Label ID="lblNew" runat="server" meta:resourcekey="lblNewResource1">New ticket</asp:Label></b>
				<br/>
				<asp:Label ID="lblNewInfo" runat="server" meta:resourcekey="lblNewInfoResource1" CssClass="grey">Submit a new ticket</asp:Label></a></td>
			<td width="200"><a href="ActiveTickets.aspx"><img src="images/Tickets.png" alt="" />
				<b><asp:Label ID="lblIssues" runat="server" meta:resourcekey="lblIssuesResource1">Tickets</asp:Label></b>
				<br/>
				<asp:Label ID="lblIssuesInfo" runat="server" meta:resourcekey="lblIssuesInfoResource1" CssClass="grey">Tickets in the system you can see</asp:Label></a></td>
			<td width="200"><a href="Search.aspx"><img alt="" src="images/Search.png" />
				<b><asp:Label ID="lblSearch" runat="server" meta:resourcekey="lblSearchResource1">Find a ticket</asp:Label></b>
				<br/>
				<asp:Label ID="lblSearchInfo" runat="server" meta:resourcekey="lblSearchInfoResource1" CssClass="grey">Search engine</asp:Label></a></td>
		</tr>

		<tr>
			<td id="tdKB" runat="server"><a href="KBase.aspx"><img alt="" src="images/KB.png" />
				<b><asp:Label ID="lblKB" runat="server" meta:resourcekey="lblKBResource1">Knowledge base</asp:Label></b>
				<br/>
				<asp:Label ID="lblKBInfo" runat="server" meta:resourcekey="lblKBInfoResource1" CssClass="grey">Browse knowledge-base articles by category</asp:Label></a></td>
			<td><a href="javascript:void(0)" onclick="DisplayHelp('help/index.htm')"><img alt="" src="images/Info.png" />
				<b><asp:Label ID="Label1" runat="server" meta:resourcekey="lblHelpResource1">Help</asp:Label></b>
				<br />
				<asp:Label runat="server" meta:resourcekey="lblManualResource1" CssClass="grey">Manual</asp:Label></a></td>
			<td><a href="EditProfile.aspx"><img src="images/Profile.png" alt=""/>
				<b><asp:Label ID="lblProfile" runat="server" meta:resourcekey="lblProfileResource1">My profile</asp:Label></b>
				<br/>
				<asp:Label ID="lblProfileInfo" runat="server" meta:resourcekey="lblProfileInfoResource1" CssClass="grey">Edit settings</asp:Label></a></td>
		</tr>
		<%--<tr>
			<td colspan="3" style="padding:0px;height:4px;background:url('images/linerepeat.gif');"></td>
		</tr>
		<tr>
			<td id="tdLogout" runat="server" enableviewstate="false">
				<b><a href="Logout.aspx"><img src="images/logout.png" alt=""/>
				<asp:Label ID="lblLogout" runat="server" meta:resourcekey="lblLogoutResource1">Log out</asp:Label></a></b>
				<br />
				<asp:Label ID="lblLogoutInfo" runat="server" meta:resourcekey="lblLogoutInfoResource1">Exit here</asp:Label></td>
		</tr>--%>
	</table>
	<br /><br />
<ul class="tabmenu2">
<li runat="server" id="liNews" enableviewstate="false">
	<a href='Default.aspx?mode=recentNews'><asp:Label ID="lblNewsInfo" runat="server" meta:resourcekey="lblNewsInfoResource1">News and announcements</asp:Label></a>
</li>
<li runat="server" id="liRecentComments" enableviewstate="false">
	<a href='Default.aspx?mode=recentComments'><asp:Label ID="lblRecentComments" runat="server" EnableViewState="False" meta:resourcekey="lblRecentCommentsResource1">Recent activity</asp:Label></a>
</li>
</ul>


<%--news--%>
<div runat="server" id="divNews">
<asp:Repeater ID="rptNews" runat="server" EnableViewState="false">
<HeaderTemplate><table></HeaderTemplate>
<ItemTemplate>
<tr><td style="border-bottom:1px solid silver;padding-top:20px">
<b><a href='NewsView.aspx?NewsID=<%# Eval("NewsID") %>'><%# Eval("Subject") %></a></b>
<span class="commentsAttr"><%# Eval("NewsDate") %></span></td></tr>
<tr><td><%# HelpDesk.BusinessLayer.StringUtils.BBCode2HTML(Eval("Body").ToString()) %></td></tr>
</ItemTemplate>
<FooterTemplate>
</table><br /><br /><a href="News.aspx?rss=1" class="grey"><img alt="" src="images/rss20.gif" /> RSS</a>
</FooterTemplate>
</asp:Repeater>
<a href="News.aspx" id="lnkMoreNews" runat="server" class="grey"><asp:Label ID="lblAllNews" runat="server" meta:resourcekey="lblAllNewsResource1">All news...</asp:Label></a>
<a href="AdminNews.aspx" id="lnkAdminNews" runat="server" class="grey"><asp:Label runat="server" meta:resourcekey="lblAddNewsResource1">Add news...</asp:Label></a>
</div>


<%--comments list--%>
<asp:repeater id="rptComments" EnableViewState="false" runat="server" onitemdatabound="rptComments_ItemDataBound">
<HeaderTemplate><table class="outerborder lightbg" cellspacing="0" cellpadding="7" width="100%"></HeaderTemplate>
<ItemTemplate>
	<tr runat="server" id="trDay" visible="false">
		<td></td>
		<td colspan="2">
			<h1><%# HelpDesk.BusinessLayer.StringUtils.GetDateDayName(Eval("CommentDate"))%></h1>
		</td>
		<td></td>
	</tr>
	<tr runat="server" id="trTicket" visible="false">
		<td></td><td colspan="2"><h3><a href='ViewIssue.aspx?IssueID=<%# Eval("IssueID") %>'><%# Eval("Subject") %></a></h3></td><td></td>
	</tr>
	<tr valign="top">
		<td></td>
		<td class="grey darkbg commentLeftTd">
			<%# ((DateTime)Eval("CommentDate")).ToShortTimeString() %>
		</td>
		<td width="100%" class='<%# HelpDesk.ViewIssue.GetCssClassName(Eval("UserName"), Eval("IsSystem")) %> darkbg commentRightTd'>
			<div class="grey"><b><%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName")) %></b></div>
			<div id="divCommentText<%# Eval("CommentID") %>"><%# HelpDesk.BusinessLayer.StringUtils.BBCode2HTML(Eval("Body").ToString()) %></div>
		</td>
		<td></td>
	</tr>
	<tr><td style="padding:0px 0px 0px 0px;height:7px" colspan="4"></td></tr>
</ItemTemplate>
<FooterTemplate></table></FooterTemplate>
</asp:repeater>
<asp:Label ID="lblNoReccent" runat="server" CssClass="grey" Visible="false" Text="none" />
	
</asp:Content>