<%@ Page language="c#" EnableViewState="false" Codebehind="EditProfile.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.EditProfile" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Register TagPrefix="cm" TagName="CompanyTextBox" Src="~/CompanyTextBox.ascx" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>

<asp:Content runat="server" ContentPlaceHolderID="head">
<link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">

<asp:Label ID="lblResult" runat="server" Visible="false" ForeColor="Red"></asp:Label>
<table class="lightbg outerborder grey" cellpadding="7" style="float:left;margin-right:30px">
	<tr>
		<td>*<asp:Label ID="lblUsername" AssociatedControlID="txUsername" runat="server" meta:resourcekey="lblUsernameResource1">Username:</asp:Label></td>
		<td>
		    <asp:RequiredFieldValidator ValidationGroup="nameemail" ID="reqUsername" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="txUsername"></asp:RequiredFieldValidator>
		    <asp:TextBox id="txUsername" ValidationGroup="nameemail" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td>*<asp:Label ID="lblEmail" AssociatedControlID="txEmail" runat="server" meta:resourcekey="lblEmailResource1">Email:</asp:Label></td>
		<td>
		    <asp:RequiredFieldValidator ValidationGroup="nameemail" ID="reqEmail" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="txEmail"></asp:RequiredFieldValidator>
		    <asp:TextBox id="txEmail" ValidationGroup="nameemail" runat="server"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td><asp:Label ID="lblFirstName" AssociatedControlID="txFirstName" runat="server" meta:resourcekey="lblFirstNameResource1">First name:</asp:Label></td>
		<td><asp:TextBox id="txFirstName" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblLastName" AssociatedControlID="txLastName" runat="server" meta:resourcekey="lblLastNameResource1">Last name:</asp:Label></td>
		<td><asp:TextBox id="txLastName" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblPhone" AssociatedControlID="txPhone" runat="server" meta:resourcekey="lblPhoneResource1">Phone number:</asp:Label></td>
		<td><asp:TextBox id="txPhone" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblLocation" AssociatedControlID="txLocation" runat="server" meta:resourcekey="lblLocationResource1">Location:</asp:Label></td>
		<td><asp:TextBox id="txLocation" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td><asp:Label AssociatedControlID="llLang" ID="lblLang" runat="server" EnableViewState="False" meta:resourcekey="lblLanguageResource1">Language:</asp:Label></td>
		<td><ll:LanguageList ID="llLang" runat="server" EnableViewState="False" AllowEmpty="True"  /></td>
	</tr>
	<tr>
		<td><asp:Label ID="lblCompany" AssociatedControlID="tbCompany" runat="server" meta:resourcekey="lblCompanyResource1">Company:</asp:Label></td>
		<td>
		    <cm:CompanyTextBox runat="server" id="tbCompany"></cm:CompanyTextBox>
		</td>
	</tr>
	<tr>
		<td colspan="2"><asp:CheckBox runat="server" ID="cbSendEmail" Text="Enable email notifications" meta:resourcekey="cbSendEmailResource1"/></td>
	</tr>
	<tr>
		<td colspan="2">
			<asp:Button id="btnSave" ValidationGroup="nameemail" runat="server" Text="save" Width="100%" CssClass="gradientbg" onclick="btnSave_Click" meta:resourcekey="btnSaveResource1"></asp:Button></td>
	</tr>
</table>

<table class="lightbg outerborder grey" cellpadding="7" id="tblChangePsw" runat="server">
    <tr>
		<td><asp:Label ID="lblNewPsw" AssociatedControlID="txPassword" runat="server" meta:resourcekey="lblNewPswResource1">New password:</asp:Label></td>
		<td>
		    <asp:RequiredFieldValidator ValidationGroup="psw" ID="reqPassword" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="txPassword"></asp:RequiredFieldValidator>
		    <asp:TextBox id="txPassword" runat="server" TextMode="Password" meta:resourcekey="txPasswordResource1"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td><asp:Label ID="lblConfPsw" AssociatedControlID="txConfirmPsw" runat="server" meta:resourcekey="lblConfPswResource1">Confirm password:</asp:Label></td>
		<td>
		    <asp:RequiredFieldValidator ValidationGroup="psw" ID="reqConfPsw" runat="server" ErrorMessage="***" Display="Dynamic" ControlToValidate="txConfirmPsw"></asp:RequiredFieldValidator>
		    <asp:TextBox id="txConfirmPsw" runat="server" TextMode="Password" meta:resourcekey="txConfirmPswResource1"></asp:TextBox>
		</td>
	</tr>
	<tr>
		<td colspan="2">
			<asp:Button id="btnChangePsw" ValidationGroup="psw" runat="server" Text="change password" Width="100%" CssClass="gradientbg" onclick="btnChangePsw_Click" meta:resourcekey="btnChangePswResource1"></asp:Button></td>
	</tr>
</table>

<div style="clear:both"></div>
</asp:Content>
