<%@ Page Title="Knowledge-base - Helpdesk Software" language="c#" EnableViewState="false" Codebehind="KBase.aspx.cs" AutoEventWireup="True" Inherits="HelpDesk.KBase" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server" EnableViewState="false">
	<link href="js/jquery.treeview.css" type="text/css" rel="Stylesheet" />
</asp:Content>


<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<table width="100%" cellpadding="5">
		<tr valign="top">
			<!-- left td start (categories menu)-->
			<td style="width:250px;">
				<table class="graphtable lightbg" cellpadding="5" style="width:250px" id="tblCategories" runat="server">
					<tr>
						<th><asp:Label ID="lblTitle" runat="server" meta:resourcekey="lblTitleResource1">Pick a category:</asp:Label></th>
					</tr>
					<tr valign="top" height="100%">
						<td class="catmenu"><ul id="treeList"><asp:Repeater id="rptCategories" runat="server">
								<ItemTemplate>
								    <%# RenderTree(Eval("Section").ToString(), Eval("SectionID").ToString(), "<b><a href='KBase.aspx?SectionID={1}' " + (Eval("SectionID").ToString() == Request.QueryString["SectionID"] ? "class='selected'" : "") + ">{0}</a></b>")%>
									<li><a href='KBase.aspx?CategoryID=<%# DataBinder.Eval(Container.DataItem, "CategoryID") %>'
									    class='<%# Eval("CategoryID").ToString()==Request.QueryString["CategoryID"] ? "selected" : "" %>'>
										<%# Eval("Name") %>
										<b><%# ((int)Eval("IssuesCount"))>0 ? ("(" + Eval("IssuesCount") + ")") : "" %></b>
									</a></li>
								</ItemTemplate>
								<FooterTemplate>
								    <%= RenderTreeEnd() %>
								</FooterTemplate>
							</asp:Repeater></ul>
							<p>&nbsp;</p>
						</td>
					</tr>
				</table>
			</td>
			<!-- left td end -->
			<!-- right td start -->
			<td>
				<table class="graphtable" cellpadding="5" width="100%">
					<tr>
						<th>
						    <a href="SearchKB.aspx">
						        <asp:Label ID="lblSearchKB" runat="server" meta:resourcekey="lblSearchKBResource1">search</asp:Label></a>
						</th>
					</tr>
				</table>
				<br />
				<asp:Label id="lblNoIssues" runat="server" Visible="False" CssClass="grey" meta:resourcekey="lblNoIssuesResource1">No tickets in the knowledge base. To add a ticket to the knowledgebase, the administrator has to click "publish to KB" on a ticket page.</asp:Label>
				<asp:Label id="lblPickCategory" runat="server" Visible="False" CssClass="grey" meta:resourcekey="lblTitleResource1">Pick a category</asp:Label>
				<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False"
					Width="100%" CellPadding="9" BorderStyle="Solid" CssClass="lightbg sortable graphtable"
					UseAccessibleHeader="true" OnItemDataBound="gridIssues_ItemDataBound">
					<AlternatingItemStyle CssClass="alternativeLightbg" />
					<HeaderStyle CssClass="nobold" />
					<Columns>
						<asp:TemplateColumn ItemStyle-Width="100%" HeaderText="Ticket" meta:resourcekey="colIssueResource1">
							<ItemStyle CssClass="ticketRow" />
						    <ItemTemplate>
						        <b><asp:HyperLink ID="lnkIssue" runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewKBIssue.aspx?IssueID={0}") %>'></asp:HyperLink>
						        <%# (bool)Eval("KBForTechsOnly") ? "<img src='images/kbtech.gif' alt='KB for techs only' />" : ""%></b>
						    </ItemTemplate>
						</asp:TemplateColumn>
						<asp:BoundColumn DataField="IssueDate" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
					</Columns>
				</asp:DataGrid>
			</td>
		</tr>
	</table>

<script type="text/javascript" src="js/jquery.treeview.js"></script>
<script type="text/javascript">
	//tree init
	$(document).ready(function () {
		$("#treeList").treeview();
	});
</script>
</asp:Content>
