﻿<%@ Page Language="c#" Codebehind="NewIssue.aspx.cs" AutoEventWireup="True" EnableEventValidation="false" ValidateRequest="false" Inherits="HelpDesk.NewIssue" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ID="Content2" runat="server" ContentPlaceHolderID="head">
<link href="editor.css" type="text/css" rel="stylesheet" />
<link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">

<asp:ScriptManager ID="ScriptManager1" runat="server" ScriptMode="Release"></asp:ScriptManager>

<table class="outerborder lightbg grey" width="100%" cellpadding="7">
	<tr><th colspan="2"><b><asp:Label ID="lblTitle" runat="server" EnableViewState="False" meta:resourcekey="lblTitleResource1">New Issue Submission</asp:Label></b></th></tr>
	<tr id="trEmail" runat="server" enableviewstate="false" visible="false">
		<td style="text-align:right;white-space:nowrap">* <asp:label AssociatedControlID="tbEmail" runat="server" meta:resourcekey="lblEmailResource1">Your Email:</asp:label></td>
		<td style="width:100%">
			<asp:TextBox ID="tbEmail" runat="server" EnableViewState="false"></asp:TextBox>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator4" runat="server" ErrorMessage="!!!" Display="Dynamic" ControlToValidate="tbEmail"></asp:RequiredFieldValidator>
		</td>
	</tr>
	<tr id="trBehalf" runat="server" valign="top">
		<td style="height:22px"></td>
		<td style="width:100%">
			<asp:CheckBox ID="cbOnBehalf" runat="server" Text="Submit on behalf of another user" meta:resourcekey="cbOnBehalfResource1" />
			<span id="spanUsers" style="display:none">
			&nbsp;&nbsp;
			<asp:DropDownList ID="ddlUsers" runat="server" DataTextField="Username" DataValueField="UserID" meta:resourcekey="ddlUsersResource1"></asp:DropDownList>
			<a href="AdminCreateUser.aspx?NewIssue=1">create new...</a>
			</span>
		</td>
	</tr>
	<tr>
		<td style="text-align:right;white-space:nowrap">* <label for="selCategory"><asp:Label ID="lblCat" runat="server" EnableViewState="False" meta:resourcekey="lblCatResource1">Category:</asp:Label></label></td>
		<td style="width:100%">
			<span id="spanSelectCategory" runat="server"><select name='selCategory' id='selCategory'></select></span>
			
			<asp:CustomValidator ID="custval_Category" runat="server" 
					ErrorMessage="Please specify the ticket category" 
					meta:resourcekey="RequiredFieldValidator3Resource1" Display="Dynamic" 
					ClientValidationFunction="ValidateCategory" ValidateEmptyText="true" 
					onservervalidate="custval_Category_ServerValidate" EnableClientScript="true" />
		</td>
	</tr>
	<tr>
		<td style="text-align:right;white-space:nowrap">* <asp:Label ID="lblSubj" AssociatedControlID="tbSubj" runat="server" EnableViewState="False" meta:resourcekey="lblSubjResource1">Subject:</asp:Label></td>
		<td>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ErrorMessage="Please enter the subject" Display="Dynamic" ControlToValidate="tbSubj" meta:resourcekey="RequiredFieldValidator1Resource1"></asp:RequiredFieldValidator>
			<asp:TextBox ID="tbSubj" runat="server" Width="100%" MaxLength="100" EnableViewState="False"></asp:TextBox></td>
	</tr>
	<tr valign="top">
		<td style="text-align:right;white-space:nowrap"><br />* <asp:Label ID="lblBody" runat="server" EnableViewState="False" meta:resourcekey="lblBodyResource1">Details:</asp:Label></td>
		<td>
			<asp:RequiredFieldValidator ID="RequiredFieldValidator2" runat="server" ErrorMessage="Please fill the details"
				Display="Dynamic" ControlToValidate="tbBody" meta:resourcekey="RequiredFieldValidator2Resource1"></asp:RequiredFieldValidator>
			<div class="richeditor">
				<div class="editbar">
					<button title="bold" onclick="doClick('bold');" type="button"><b>B</b></button>
					<button title="italic" onclick="doClick('italic');" type="button"><i>I</i></button>
					<button title="underline" onclick="doClick('underline');" type="button"><u>U</u></button>
					<button title="hyperlink" onclick="doLink();" type="button" style="background-image:url('images/url.gif');"></button>
					<button title="list" onclick="doClick('InsertUnorderedList');" type="button" style="background-image:url('images/icon_list.gif');"></button>
					<button title="image" onclick="doImage();" type="button" style="background-image:url('images/img.gif');"></button>
					<button title="color" onclick="showColorGrid2('none')" type="button" style="background-image:url('images/colors.gif');"></button><span id="colorpicker201" class="colorpicker201"></span>
					<button title="switch to source" type="button" onclick="javascript:SwitchEditor()" style="background-image:url('images/icon_html.gif');"></button>
				</div>
				<div class="container">
				<asp:TextBox ID="tbBody" style="border-top:none;margin-right:auto;" Width="100%" runat="server" TextMode="MultiLine" Height="100px" MaxLength="4000" meta:resourcekey="tbBodyResource1" EnableViewState="False"></asp:TextBox>
				</div>
			</div>
		</td>
	</tr>



<!--custom fields-->	
<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
<HeaderTemplate>
	<tr><td></td><td>
	<script type="text/javascript">
		var mandatoryCustomFieldIds = new Array();
	</script>
	<asp:CustomValidator Display="Dynamic"
		ErrorMessage="Please fill the mandatory fields"
		ID="ValidatorCustomFields" runat="server"
		ClientValidationFunction="ValidateMandatoryCustomFields" />
	</td></tr>
</HeaderTemplate>
<ItemTemplate>
	<tr>
		<td style="text-align:right;white-space:nowrap"><label for="CustomFieldValue<%# Eval("FieldID") %>"><%# (bool)Eval("Mandatory") ? "*" : "" %> <%# Eval("FieldName") %>:</label></td>
		<td align="left">
			<%# RenderCustomFieldInput(Eval("Type"), Eval("FieldID"))%>
			<%# (bool)Eval("Mandatory") ? "<script type='text/javascript'> mandatoryCustomFieldIds[mandatoryCustomFieldIds.length] = '" + Eval("FieldID") + "';</script>" : "" %>
			<%# (bool)Eval("Mandatory") ? "<span style='display:none;color:red' id='mandatoryFieldAlert" + Eval("FieldID") + "'>!!!</span>" : ""%>
		</td>
	</tr>
</ItemTemplate>
</asp:Repeater>



	<tr id="trCaptcha" runat="server" enableviewstate="false" visible="false">
		<td style="text-align:right;white-space:nowrap">* <asp:Label AssociatedControlID="tbImgCode" CssClass="grey" ID="lblCode" runat="server" EnableViewState="False" meta:resourcekey="lblCodeResource1">Enter the code shown:</asp:Label></td>
		<td>
			<asp:TextBox id="tbImgCode" runat="server" EnableViewState="false"></asp:TextBox>
			<img src="captchaimage.ashx" alt=""/>
		</td>
	</tr>
	
	
	<tr><td></td><td>
		<asp:Button ID="btnAdd" OnClientClick="doCheck();" Height="30px" Width="150px" runat="server" Text="Submit" Font-Bold="True" OnClick="btnAdd_Click" meta:resourcekey="btnAddResource1"></asp:Button>
	</td></tr>
	<tr>
		<td></td>
		<td>
			<a href="javascript:void(0)" onclick="$(this).hide();$('#tblAdvanced').css('display', '');"><asp:Label ID="lblAdvanced" runat="server" meta:resourcekey="lblAdvancedResource1">Advanced</asp:Label>...</a>
			<table cellpadding="5" style="display:none" id="tblAdvanced">
			<tr><td style="text-align:right;white-space:nowrap"><asp:Label ID="lblPriority" runat="server" EnableViewState="False" meta:resourcekey="lblPriorityResource1">Priority:</asp:Label></td>
			<td><asp:DropDownList ID="ddlPriority" runat="server" EnableViewState="False">
					<asp:ListItem style="color:Gray" Value="-1"></asp:ListItem>
					<asp:ListItem style="color:Black" Value="0" Selected="True"></asp:ListItem>
					<asp:ListItem style="color:Red" Value="1"></asp:ListItem>
				</asp:DropDownList></td>
			</tr>
			<tr>
			<td style="text-align:right;white-space:nowrap">
				<asp:Label ID="lblAttachment" runat="server" EnableViewState="False" meta:resourcekey="lblAttachmentResource1">File attachment (optional):</asp:Label>
			</td>
			<td>
				<asp:FileUpload ID="fileUpload" runat="server" meta:resourcekey="fileUploadResource1" CssClass="multi" />
			</td></tr>
			<tr><td></td><td><asp:CheckBox ID="cbStraightToKB" runat="server" Text="Save straight to the Knowledge Base" meta:resourcekey="cbStraightToKBResource1" /></td></tr>
			<tr><td></td><td><asp:CheckBox ID="cbRepeat" runat="server" Text="Repeat..." EnableViewState="false" onclick="if(this.checked) $('#divSchedule').show(); else $('#divSchedule').hide();" meta:resourcekey="cbRepeatResource1" /></td></tr>
			<tr><td></td>
				<td>
					<div style="display:none" id="divSchedule">
					<asp:DropDownList ID="ddlRepeatType" runat="server" EnableViewState="false">
						<asp:ListItem Value="1">Daily</asp:ListItem>
						<asp:ListItem Value="7">Weekly</asp:ListItem>
						<asp:ListItem Value="30">Monthly</asp:ListItem>
						<asp:ListItem Value="90">Quarterly</asp:ListItem>
						<asp:ListItem Value="182">Half-year</asp:ListItem>
						<asp:ListItem Value="365">Yearly</asp:ListItem>
					</asp:DropDownList>
					<asp:Label runat="server" meta:resourcekey="lblStartDateResource1">Start repeating date</asp:Label>:
					<asp:TextBox ID="tbDateFrom" runat="server" CssClass="datepick" EnableViewState="false"></asp:TextBox>
					</div>
				</td>
			</tr>
			</table>
		</td>
	</tr>
</table>

<script src="js/jquery.MultiFile.js" type="text/javascript"></script>
<script src="js/editor.js" type="text/javascript"></script>

<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>

<script type="text/javascript">
	function ShowHideUsers() {
		var cbOnBehalfId = '#<%= cbOnBehalf.ClientID %>';
		var oDiv = document.getElementById("spanUsers");

		if (oDiv.style.display == '' && !$(cbOnBehalfId).is(':checked'))
			oDiv.style.display = 'none';
		else if (oDiv.style.display == 'none' && $(cbOnBehalfId).is(':checked'))
			oDiv.style.display = '';
	}
	function ValidateCategory(source, args) {
		var strValue = $('#selCategory').val();
		if (!strValue || strValue == "-1" || strValue == "-1") { args.IsValid = false; }
		else { args.IsValid = true };
	}

	//editor init
	initEditor("<%=tbBody.ClientID%>", <%= (!(Request.Browser.IsMobileDevice || IsiPhoneOrAndroid())).ToString().ToLower() %>);

	$(myeditor).bind('keyup', AutoResize);
	function AutoResize() {
		if (myeditor.body.scrollTop > 0) {
			ifm.style.height = (ifm.clientHeight + myeditor.body.scrollTop) + "px";
			$get("<%=tbBody.ClientID%>").style.height = ifm.style.height;
		}
	}

	//datepicker init
	$(function() {
		$( ".datepick" ).datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
	
	//focus inputs
	try { document.getElementById("<%= tbEmail.ClientID %>").focus(); }
	catch (err) { document.getElementById("<%= tbSubj.ClientID %>").focus(); }

	//mandatory custom fileds validator
	function ValidateMandatoryCustomFields(source, arguments) {
		if (mandatoryCustomFieldIds) {
			if (mandatoryCustomFieldIds.length > 0) {
				for (i = 0; i < mandatoryCustomFieldIds.length; i++) {
					var inputElement = document.getElementById('CustomFieldValue' + mandatoryCustomFieldIds[i]);
					var spanAlert = document.getElementById('mandatoryFieldAlert' + mandatoryCustomFieldIds[i]);
					if (inputElement.value == "") {
						spanAlert.style.display = '';
						arguments.IsValid = false;
						return;
					}
					else {
						spanAlert.style.display = 'none';
					}
				}
			}
		}
		arguments.IsValid = true;
	}
</script>
	
</asp:Content>
