<%@ Page Title="Help Desk Software - register" language="c#" Codebehind="Register.aspx.cs" EnableViewState="False" AutoEventWireup="True" Inherits="HelpDesk.Register" MasterPageFile="HelpDeskMaster.Master" %>
<%@ Register TagPrefix="cm" TagName="CompanyTextBox" Src="~/CompanyTextBox.ascx" %>
<%@ Register Src="~/LanguageList.ascx" TagName="LanguageList" TagPrefix="ll" %>

<asp:Content runat="server" ContentPlaceHolderID="head">
<link href="jquery.autocomplete.css" type="text/css" rel="Stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<p>&nbsp;</p>
<table width="300" align="center" cellpadding="7" class="outerborder grey lightbg">
	<tr>
		<th colspan="2" align="center"><asp:Label ID="lblTitle" runat="server" meta:resourcekey="lblTitleResource1">Register</asp:Label></th>
	</tr>
	<tr valign="top">
		<td align="right">
		    <input type="text" style="visibility:hidden;width:10px"/>
		    <span style="color:Red">*</span>
		    <asp:Label AssociatedControlID="txUsername" ID="lblUsername" runat="server" meta:resourcekey="lblUsernameResource1">Username:</asp:Label></td>
		<td>
			<asp:TextBox id="txUsername" runat="server"></asp:TextBox><br />
			<a href="javascript:void(0)" onclick="CheckUserName()">
                <asp:Label ID="lblCheck" runat="server" meta:resourcekey="lblCheckResource1">check availability</asp:Label>
            </a><img style="display:none" src="images/ok.png" id="imgOk" alt="username available" /><img style="display:none" src="images/error.png" id="imgError" alt="allready taken" />
		</td>
	</tr>
	<tr>
		<td align="right">
		    <span style="color:Red">*</span>
		    <asp:Label AssociatedControlID="txEmail" ID="lblEmail" runat="server" meta:resourcekey="lblEmailResource1">Email:</asp:Label></td>
		<td><asp:TextBox id="txEmail" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td align="right">
		    <span style="color:Red">*</span>
		    <asp:Label AssociatedControlID="txPsw" ID="lblPsw" runat="server" meta:resourcekey="lblPswResource1">Password:</asp:Label></td>
		<td><asp:TextBox id="txPsw" runat="server" TextMode="Password"></asp:TextBox></td>
	</tr>
	<tr>
		<td align="right">
		    <span style="color:Red">*</span>
		    <asp:Label AssociatedControlID="txConfirmPsw" ID="lblPsw2" runat="server" meta:resourcekey="lblPsw2Resource1">Confirm password:</asp:Label></td>
		<td><asp:TextBox id="txConfirmPsw" runat="server" TextMode="Password"></asp:TextBox></td>
	</tr>
	<tr>
		<td align="right"><asp:Label AssociatedControlID="tbFirstName" ID="lblFirstName" runat="server" meta:resourcekey="lblFirstNameResource1">First Name:</asp:Label></td>
		<td><asp:TextBox id="tbFirstName" runat="server"/></td>
	</tr>
	<tr>
		<td align="right"><asp:Label AssociatedControlID="tbLastName" ID="lblLastName" runat="server" meta:resourcekey="lblLastNameResource1">Last Name:</asp:Label></td>
		<td><asp:TextBox id="tbLastName" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td align="right"><asp:Label AssociatedControlID="txPhone" ID="lblPhone" runat="server" meta:resourcekey="lblPhoneResource1">Phone number:</asp:Label></td>
		<td><asp:TextBox id="txPhone" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td align="right"><asp:Label AssociatedControlID="tbCompany" ID="lblCompany" runat="server" meta:resourcekey="lblCompanyResource1">Company:</asp:Label></td>
		<td>
            <cm:CompanyTextBox runat="server" id="tbCompany"></cm:CompanyTextBox>
		</td>
	</tr>
	<tr>
		<td align="right"><asp:Label AssociatedControlID="txLocation" ID="lblLocation" runat="server" meta:resourcekey="lblLocationResource1">Location:</asp:Label></td>
		<td><asp:TextBox id="txLocation" runat="server"></asp:TextBox></td>
	</tr>
    <tr>
		<td align="right"><asp:Label AssociatedControlID="llLang" ID="lblLang" runat="server" meta:resourcekey="lblLanguageResource1">Language:</asp:Label></td>
		<td><ll:LanguageList ID="llLang" runat="server" AllowEmpty="True"  /></td>
	</tr>
	<tr>
		<td><img src="captchaimage.ashx" alt=""/></td>
		<td><span style="color:Red">*</span>
            <asp:Label ID="lblCode" runat="server" AssociatedControlID="txImgCode" meta:resourcekey="lblCodeResource1">Enter the code shown:</asp:Label><br/>
			<asp:TextBox id="txImgCode" runat="server"></asp:TextBox></td>
	</tr>
	<tr>
		<td colspan="2" align="center"><asp:Button id="btnRegister" runat="server" Text="register" Width="100%" CssClass="gradientbg" onclick="btnRegister_Click" meta:resourcekey="btnRegisterResource1"></asp:Button></td>
	</tr>
</table>

<div align="center">
	<asp:Label id="lblErrReq" runat="server" ForeColor="Red" Visible="False" meta:resourcekey="lblErrReqResource1">Error: fill all the fields please.</asp:Label>
	<asp:Label id="lblErrPsw" runat="server" ForeColor="Red" Visible="False" meta:resourcekey="lblErrPswResource1">Error: passwords do not match.</asp:Label>
	<asp:Label id="lblErrUnameTaken" runat="server" ForeColor="Red" Visible="False" meta:resourcekey="lblErrUnameTakenResource1">Error: username or email already taken.</asp:Label>
	<asp:Label id="lblErrWrongCode" runat="server" ForeColor="Red" Visible="False" meta:resourcekey="lblErrWrongCodeResource1">Error: wrong security code entered.</asp:Label>
	<asp:Label id="lblSuccess" runat="server" Visible="False" meta:resourcekey="lblSuccessResource1">Registration successful. Please login <a href="login.aspx">here</a></asp:Label>
</div>

<script type="text/javascript">
function CheckUserName() {
    var textboxelement = document.getElementById("<%= txUsername.ClientID %>");
    //jquery ajax post
    $.post(
        "ajaxutils.ashx", //url
        {username: textboxelement.value, mode: "CheckUserNameAvailability" }, //name-values to post
        function(data) {
            if (data == "1") {
                $("#imgOk").hide();
                $("#imgError").show();
            }
            else {
                $("#imgOk").show();
                $("#imgError").hide();
            }
        }, //callback
        "html");     //returned datatype
}
</script>
	
</asp:Content>