<%@ Page Language="C#" AutoEventWireup="true" EnableEventValidation="false" CodeBehind="ReportSummary.aspx.cs" Inherits="HelpDesk.ReportSummary" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server">
	<link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" id="Content1" runat="server">
	<p><strong><a href="Reports.aspx"><asp:Label ID="lblReports" runat="server" EnableViewState="False" meta:resourcekey="lblReportsResource1">Reports</asp:Label></a>
	&raquo;
	<asp:Label ID="Label1" runat="server" EnableViewState="False" meta:resourcekey="Label1Resource1">Summary</asp:Label></strong></p>
	<table class="outerborder grey lightbg" cellpadding="7" style="float:left">
		<tr>
			<td rowspan="5" valign="top">
			<asp:Label ID="Label2" runat="server" EnableViewState="False" meta:resourcekey="Label2Resource1">Category:</asp:Label><br />
			<asp:ListBox Width="100%" Rows="10" SelectionMode="Multiple" ID="ddlCat" runat="server" DataTextField="Name" DataValueField="CategoryID" /></td>
			<td align="right"><asp:Label ID="Label3" runat="server" EnableViewState="False" meta:resourcekey="Label3Resource1">From:</asp:Label></td>
			<td><asp:TextBox ID="txtDateFrom" CssClass="datepick" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td align="right"><asp:Label ID="Label4" runat="server" EnableViewState="False" meta:resourcekey="Label4Resource1">To:</asp:Label></td>
			<td><asp:TextBox id="txtDateTo" CssClass="datepick" runat="server"></asp:TextBox></td>
		</tr>
		<tr>
			<td align="right"><asp:Label ID="lblStatus" runat="server" EnableViewState="False" meta:resourcekey="lblStatusResource1">Status:</asp:Label></td>
			<td><asp:DropDownList ID="ddlStatus" runat="server" DataTextField="Name" DataValueField="StatusID"></asp:DropDownList></td>
		</tr>
		<tr>
			<td align="right"><asp:Label ID="lblPriority" runat="server" EnableViewState="False" meta:resourcekey="lblPriorityResource1">Priority:</asp:Label></td>
			<td>
				<asp:DropDownList ID="ddlPriority" runat="server" EnableViewState="False">
					<asp:ListItem Value="" Text=""></asp:ListItem>
					<asp:ListItem style="color:Gray" Value="-1"></asp:ListItem>
					<asp:ListItem style="color:Black" Value="0"></asp:ListItem>
					<asp:ListItem style="color:Red" Value="1"></asp:ListItem>
				</asp:DropDownList>
			</td>
		</tr>
		<tr><td colspan="2">
			<script type="text/javascript">
				function SwitchNumberField(value) {
					document.getElementById("<%= tbNumberOfEntries.ClientID %>").disabled = !value;
				}
			</script>
			<asp:CheckBox ID="cbShowLastComments" runat="server" Text="Show latest entries from the log" meta:resourcekey="cbShowLastCommentsResource1" onclick="SwitchNumberField(this.checked);" />
			&nbsp;
			<asp:TextBox ID="tbNumberOfEntries" runat="server" Text="2" Width="15px"></asp:TextBox>
		</td></tr>
		<asp:Repeater id="rptCustomFields" runat="server" EnableViewState="false">
		<HeaderTemplate>
			<tr><td colspan="3" class="grey" align="left"><br /><br />Custom fields:</td></tr>
		</HeaderTemplate>
		<ItemTemplate>
			<tr>
				<td style="text-align:right;white-space:nowrap" class="grey"><%# Eval("FieldName") %>:</td>
				<td colspan="2"><%# RenderCustomFieldInput(Eval("Type"), Eval("FieldID")) %></td>
			</tr>
		</ItemTemplate>
		</asp:Repeater>
		<tr><th colspan="3">
			<asp:Button ID="btnSearch" runat="server" CssClass="gradientbg" Text="search" OnClick="btnSearch_Click" Font-Bold="true" meta:resourcekey="btnSearchResource1" />
			<asp:Button ID="btnExcel" runat="server" CssClass="gradientbg" Text="excel" OnClick="btnExcel_Click" />
		</th></tr>
	</table>
	
	<img src="" alt="" runat="server" id="imgCategoriesPieChart" visible="false" />
	<br />
	<img src="" alt="" runat="server" id="imgStatusPieChart" visible="false" />
	
	<br style="clear:both" />
	
<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript">
	//datepicker init
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>
	
	<br />
	<asp:Label id="lblNoIssues" runat="server" EnableViewState="False" Visible="False" meta:resourcekey="lblNoIssuesResource1">No tickets found</asp:Label>
	<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
		Width="100%" CellPadding="7" UseAccessibleHeader="true" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable graphtable" OnItemDataBound="gridIssues_ItemDataBound" meta:resourcekey="gridIssuesResource1">
		<HeaderStyle CssClass="gradientbg" Wrap="false"></HeaderStyle>
		<ItemStyle Height="55px" />
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:TemplateColumn HeaderText="Issue" meta:resourcekey="colIssueResource1">
				<HeaderStyle Width="100%"></HeaderStyle>
				<ItemTemplate>
					<span class="commentsAttr" style="float:right"><%# (int)Eval("StatusID")==1 ? "<img src=\"images/new.gif\">" : "" %> #<%# Eval("IssueID") %></span>
					<asp:HyperLink runat="server" Text='<%# Eval("Subject") %>' NavigateUrl='<%# Eval("IssueID", "ViewIssue.aspx?IssueID={0}") %>' meta:resourcekey="HyperLink1Resource1"></asp:HyperLink>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn Visible="false" DataField="Subject" HeaderText="Subject" meta:resourcekey="colIssueResource1"></asp:BoundColumn>
			<asp:BoundColumn ItemStyle-CssClass="grey" ItemStyle-Wrap="false" DataField="Category" HeaderText="Category" meta:resourcekey="colCategoryResource1"></asp:BoundColumn>
			<asp:TemplateColumn HeaderText="From" ItemStyle-CssClass="grey" meta:resourcekey="colFromResource1">
				<ItemTemplate>
					<%# HelpDesk.BusinessLayer.User.RemoveDomainFromUsername(Eval("UserName").ToString()) %>
				</ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Company" ItemStyle-CssClass="grey" HeaderText="Company" meta:resourcekey="colCompanyResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="Performer" ItemStyle-CssClass="grey" HeaderText="Handled by" meta:resourcekey="colHandledByResource1">
				<HeaderStyle Wrap="False" />
			</asp:BoundColumn>
			<asp:BoundColumn DataField="IssueDate" ItemStyle-CssClass="grey" HeaderText="Date" DataFormatString="{0:d}" meta:resourcekey="colDateResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="StartDate" ItemStyle-CssClass="grey" HeaderText="Start Date" DataFormatString="{0:d}" meta:resourcekey="colStartDateResource1"></asp:BoundColumn>
			<asp:BoundColumn DataField="ResolvedDate" ItemStyle-CssClass="grey" HeaderText="Close date" DataFormatString="{0:d}" meta:resourcekey="colCloseDateResource1">
				<HeaderStyle Wrap="False" />
			</asp:BoundColumn>
			<asp:TemplateColumn HeaderText="Duration" ItemStyle-CssClass="grey" meta:resourcekey="colDurationResource1">
				<ItemStyle Wrap="False" />
				<ItemTemplate><%# CalculateDuration(Eval("ResolvedDate"), Eval("IssueDate")) %></ItemTemplate>
			</asp:TemplateColumn>
			<asp:TemplateColumn HeaderText="Time Spent" meta:resourcekey="colTimeSpentResource1" ItemStyle-CssClass="grey">
				<ItemStyle Wrap="False" />
				<ItemTemplate><%# TimeSpan.FromSeconds((int)Eval("TimeSpentInSeconds")).ToString(@"hh\:mm\:ss") %></ItemTemplate>
			</asp:TemplateColumn>
			<asp:BoundColumn DataField="Status" ItemStyle-CssClass="grey" HeaderText="Status" meta:resourcekey="colStatusResource">
				<ItemStyle Wrap="False"></ItemStyle>
			</asp:BoundColumn>
			<asp:TemplateColumn>
				<ItemStyle Wrap="false" />
			</asp:TemplateColumn>
		</Columns>
	</asp:DataGrid>
	<div id="divTotal" runat="server" class="grey" visible="false" enableviewstate="false">
		Issues found: <span id="spanTotal" runat="server" enableviewstate="false"></span><br />
		Average time spent:	<%= ((gridIssues.Items.Count > 0) ? TimeSpan.FromSeconds(TotalTimeSpent.TotalSeconds / gridIssues.Items.Count) : TimeSpan.Zero).ToString(@"hh\:mm\:ss") %>
	</div>
</asp:Content>