<%@ Page Language="C#" MasterPageFile="HelpDeskMaster.Master" EnableViewState="false" AutoEventWireup="true" CodeBehind="ReportTechnicianStat.aspx.cs" Inherits="HelpDesk.ReportTechnicianStat" %>

<asp:Content ID="Content2" ContentPlaceHolderID="head" runat="server">
    <link type="text/css" href="js/jquery-ui-1.8.7.custom.css" rel="stylesheet" />
</asp:Content>

<asp:Content ID="Content1" ContentPlaceHolderID="ContentPlaceHolder1" runat="server">

<p><strong><a href="Reports.aspx"><asp:Label ID="lblReports" runat="server" EnableViewState="False" meta:resourcekey="lblReportsResource1">Reports</asp:Label></a>
&raquo;
<asp:Label ID="lblTechsStats" runat="server" EnableViewState="False" meta:resourcekey="lblTechsStatsResource1">Technician statistics</asp:Label></strong></p>

<asp:TextBox ID="txtDateFrom" CssClass="datepick" runat="server"></asp:TextBox> - <asp:TextBox id="txtDateTo" CssClass="datepick" runat="server"></asp:TextBox>
<asp:ImageButton ImageUrl="images/refresh.png" ID="btnDateRefresh" runat="server" EnableViewState="false" />
<br /><br />

<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
	Width="100%" CellPadding="7" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable graphtable" meta:resourcekey="gridIssuesResource1" UseAccessibleHeader="true">
	<AlternatingItemStyle CssClass="alternativeLightbg" />
	<Columns>
		<asp:TemplateColumn HeaderText="Technician" meta:resourcekey="colTechResource1">
		    <ItemTemplate>
		        <%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName"))%>
		    </ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Closed Issues handled by user" meta:resourcekey="colClosedResource1">
			<HeaderStyle Wrap="False" />
			<ItemTemplate>
				<a href="Search.aspx?assignedto=<%# Eval("UserName") %>&status=3"><%# Eval("ClosedIssuesHandled")%></a>
			</ItemTemplate>
		</asp:TemplateColumn>
		<asp:TemplateColumn HeaderText="Active Issues handled by user" meta:resourcekey="colActiveResource1">
			<HeaderStyle Wrap="False" />
			<ItemTemplate>
				<a href="Search.aspx?assignedto=<%# Eval("UserName") %>&status=3&statusnot=1"><%# Eval("ActiveIssuesHandled")%></a>
			</ItemTemplate>
		</asp:TemplateColumn>
	</Columns>
</asp:DataGrid>

<!--datepicker-->
<script type="text/javascript" src="js/jquery-ui-1.8.7.custom.min.js"></script>
<script type="text/javascript">
	//datepicker init
	$(function () {
		$(".datepick").datepicker({ gotoCurrent: true, dateFormat: "yy-mm-dd", firstDay: 1 });
	});
</script>

</asp:Content>
