<%@ Page Language="C#" AutoEventWireup="true" Codebehind="ReportUserStat.aspx.cs" Inherits="HelpDesk.ReportUserStat" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" ID="Content1" runat="server">
	<p><strong><a href="Reports.aspx"><asp:Label ID="lblReports" runat="server" EnableViewState="False" meta:resourcekey="lblReportsResource1">Reports</asp:Label></a>
	&raquo;
	<asp:Label ID="lblUserStats" runat="server" EnableViewState="False" meta:resourcekey="lblUserStatsResource1">User statistics</asp:Label></strong></p>
	<asp:DataGrid id="gridIssues" runat="server" AutoGenerateColumns="False" EnableViewState="False"
		Width="100%" CellPadding="7" BorderColor="Silver" BorderStyle="Solid" CssClass="lightbg sortable graphtable" UseAccessibleHeader="true">
		<AlternatingItemStyle CssClass="alternativeLightbg" />
		<Columns>
			<asp:TemplateColumn HeaderText="User" meta:resourcekey="colUserResource1">
		        <ItemTemplate>
		            <%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName"))%>
		        </ItemTemplate>
		    </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Issues Submitted" meta:resourcekey="colIssuesResource1">
                <HeaderStyle Wrap="False" />
                <ItemTemplate>
                    <a href="ActiveTickets.aspx?FromUserID=<%# Eval("UserID") %>"><%# Eval("IssuesSubmitted") %></a>
                </ItemTemplate>
            </asp:TemplateColumn>
            <asp:TemplateColumn HeaderText="Active tickets" meta:resourcekey="colActiveIssuesResource1">
                <HeaderStyle Wrap="False" />
                <ItemTemplate>
                    <a href="Search.aspx?From=<%# Eval("UserName") %>&status=3&statusnot=1"><%# Eval("ActiveIssues") %></a>
                </ItemTemplate>
            </asp:TemplateColumn>
		</Columns>
	</asp:DataGrid>
</asp:Content>
