<%@ Page Title="Knowledge-base article - helpdesk software" Language="C#" AutoEventWireup="true" CodeBehind="ViewKBIssue.aspx.cs" ValidateRequest="false" EnableViewState="false" Inherits="HelpDesk.ViewKBIssue" MasterPageFile="HelpDeskMaster.Master" %>

<asp:Content ContentPlaceHolderID="ContentPlaceHolder1" runat="server">
<asp:ScriptManager runat="server" ID="ScriptManager1" ScriptMode="Release"></asp:ScriptManager>

<div class="outerborder lightbg" style="padding:3px 3px 3px 3px">
	<button id="htmlBtnEdit" type="button" runat="server" onclick="ShowHideIssueEditor(true);"> edit </button>
	<asp:Button id="btnDelKB" runat="server" CssClass="gradientbg" ToolTip="delete this ticket from the Knowledge Base" Text="delete from KB" onclick="btnDelKB_Click" meta:resourcekey="btnDelKBResource1"></asp:Button>
	<a href="PrintIssue.aspx?IssueID=<%= _issueID %>" title="print"><img src="images/print.png" alt="print" /></a>
</div>
<br />

<!--editbox-->
<div runat="server" id="divEditor" style="visibility:hidden;position:absolute;" class="lightbg outerborder">
	<div style="margin: 3px 5px 0px 3px"><asp:TextBox id="tbSubject" Width="100%" runat="server"></asp:TextBox></div>
	<div style="margin: 3px 5px 0px 3px"><asp:TextBox id="tbBody" Rows="3" TextMode="MultiLine" runat="server" Width="100%"></asp:TextBox></div>
	<asp:Button ID="btnEdit" CssClass="gradientbg" runat="server" Text="OK" style="margin: 3px 3px 3px 3px" OnClick="btnEdit_Click" />
	<button class="gradientbg" onclick="ShowHideIssueEditor(false);" type="button" style="margin: 3px 3px 3px 0px">Cancel</button>
</div>

<!-- ticket subj and body-->
<img src="images/techguy.png" alt="KB article visible to Technicians only!" runat="server" id="imgKBTechsOnly" visible="false" style="float:left"/>
<h1><asp:label id="lblSubject" runat="server"></asp:label></h1>
<h2><asp:label id="lblBody" runat="server"></asp:label></h2>

<div id="divDumbAssHoleForNothing"></div>
<br />

<!--attachments-->
<asp:Repeater id="rptAttachmetns" runat="server">
<HeaderTemplate>
	<table width="100%" cellpadding="5" cellspacing="0" class="outerborder lightbg">
	<tr><th><asp:label id="lblAttach" runat="server" meta:resourcekey="lblAttachResource1">Attachments:</asp:label></th></tr>
	<tr><td>
</HeaderTemplate>
<ItemTemplate><a href='GetAttachment.ashx?FileID=<%# Eval("FileID") %>' target="_blank"><%# Eval("FileName") %></a> &nbsp;&nbsp; </ItemTemplate>
<FooterTemplate></td></tr></table><br /></FooterTemplate>
</asp:Repeater>


<!--message log-->
<table class="outerborder lightbg editTable" cellspacing="0" cellpadding="7" width="100%">
	<tr><th colspan="4"><asp:label id="lblLog" runat="server" meta:resourcekey="lblLogResource1"><b>Message Log</b> (most current on top)</asp:label></th></tr>
	
	<!--comments list-->
	<asp:repeater id="rptComments" runat="server" onitemdatabound="rptComments_ItemDataBound">
		<ItemTemplate>
			<tr runat="server" id="trDay" visible="false">
				<td></td>
				<td colspan="2">
					<h3><%# HelpDesk.BusinessLayer.StringUtils.GetDateDayName(Eval("CommentDate"))%></h3>
				</td>
				<td></td>
			</tr>
			<tr valign="top">
				<td class="<%# GetCommentEditCSSClass(Eval("UserID"), _issueID, Eval("IsSystem")) %>" onclick="<%# GetCommentEditLink(Eval("CommentID"), Eval("UserID"), _issueID, Eval("IsSystem")) %>"> &nbsp;&nbsp;&nbsp;&nbsp; </td>
				<td class="grey darkbg" style="white-space:nowrap;border-left:1px solid #cccccc;border-top:1px solid #cccccc;border-bottom:1px solid #cccccc;">
					<%# ((DateTime)Eval("CommentDate")).ToShortTimeString() %>
				</td>
				<td width="100%" style="border-right:1px solid #cccccc;border-top:1px solid #cccccc;border-bottom:1px solid #cccccc;" class='<%# GetCssClassName(Eval("UserName"), Eval("IsSystem")) %> darkbg' >
					<div class="grey"><b><%# HelpDesk.BusinessLayer.User.GetUserFullName(Eval("UserName"), Eval("FirstName"), Eval("LastName")) %></b></div>
					<div class="comment" id="divCommentText<%# Eval("CommentID") %>"><%# HelpDesk.BusinessLayer.StringUtils.BBCode2HTML(Eval("Body").ToString()) %></div>
				</td>
				<td> &nbsp;&nbsp;&nbsp;&nbsp; </td>
			</tr>
			<tr><td style="padding:0px 0px 0px 0px;height:7px" colspan="4"></td></tr>
		</ItemTemplate>
	</asp:repeater>
	<tr><td></td><td></td><td></td><td></td></tr>
</table>

<asp:Repeater ID="rptRelatedTickets" runat="server">
<HeaderTemplate><br /><table cellspacing="0" cellpadding="5" width="100%" class="outerborder grey lightbg"><tr><th><asp:label id="lblRelated" runat="server" meta:resourcekey="lblRelatedResource1">Related tickets</asp:label></th></tr></HeaderTemplate>
<ItemTemplate><tr><td><a href="ViewKBIssue.aspx?IssueID=<%# Eval("IssueID") %>"><%# Eval("Subject") %></a></td></tr></ItemTemplate>
<FooterTemplate></table><br /></FooterTemplate>
</asp:Repeater>

<script type="text/javascript">
	function ShowHideIssueEditor(show) {
		$get("<%= divEditor.ClientID %>").style.visibility = show ? 'visible' : 'hidden';

		if (show) {
			$("#<%= tbBody.ClientID %>").height($("#<%= lblBody.ClientID %>").height());
			$("#<%= divEditor.ClientID %>").width($("#divDumbAssHoleForNothing").innerWidth());
		}

		$get("<%= lblSubject.ClientID %>").style.visibility = show ? 'hidden' : 'visible';
		$get("<%= lblBody.ClientID %>").style.visibility = show ? 'hidden' : 'visible';
		//$get("<%= htmlBtnEdit.ClientID %>").style.display = show ? 'none' : '';
		if (show)
			$get("<%= tbSubject.ClientID %>").focus();
	}
	function EditComment(commentId, issueId) {
		var url = "";
		url = window.location.href;
		url = url.substr(0, url.lastIndexOf("/"));
		url += "/EditComment.aspx?FromKB=1&CommentID=" + commentId + "&IssueID=" + issueId;
		window.location.replace(url);
	}
</script>

</asp:Content>