﻿var helpdeskUrl = "";

function StringEndsWith(strInput, strEndsWith) {
	var lenOrig = strInput.length;
	var lenEndsWith = strEndsWith.length;
	return lenOrig >= lenEndsWith && strInput.substr(lenOrig - lenEndsWith) == strEndsWith;
}

function SupportWidget(hdUrl, widgetalign) {
	var xPos = (widgetalign == "right") ? "right:0px" : "left:0px";

	if (!StringEndsWith(hdUrl, "/")) //normalizing the URL
		hdUrl += "/";

	helpdeskUrl = hdUrl;

	//add css style
	AddFancyBoxCSS(hdUrl);

	//add widget
	if (widgetalign) {
		document.write("<a class='SupportWidget' style='display:block;position:fixed;top:50%;margin-top:-64px;" + xPos + "'>");
		document.write("<img src='" + helpdeskUrl + "images/support_tab.png' style='border:none;' />");
		document.write("</a>");
	}

	//load jquery
	GetScript(helpdeskUrl + "js/jquery.min.js");
	TryJQueryReady(0);
}

function SupportWidgetStep2() {
	$('.SupportWidget').attr('href', helpdeskUrl + 'NewIssue.aspx?SimpleMaster=1');

	GetScript(helpdeskUrl + "js/jquery.fancybox-1.3.4.pack.js");
	TryFancyboxReady(0);
}

function SupportWidgetStep3() {
	//not for iphones and ipads
	if (navigator.userAgent.match(/iPhone/i) || navigator.userAgent.match(/iPod/i) || navigator.userAgent.match(/iPad/i)) return;

	$('.SupportWidget').fancybox({
		'width': 700,
		'height': 550,
		'autoScale': false,
		'transitionIn': 'fade',
		'transitionOut': 'none',
		'type': 'iframe',
		padding: 0
	});
	$.fancybox.init(); //reinit - safari fix
}

function AddFancyBoxCSS(hdUrl) {
	var headtg = document.getElementsByTagName('head')[0];
	if (!headtg) {
		return;
	}
	var linktg = document.createElement('link');
	linktg.type = 'text/css';
	linktg.rel = 'stylesheet';
	linktg.href = hdUrl + 'js/jquery.fancybox-1.3.4.css';
	headtg.appendChild(linktg);
}

// dynamically load any javascript file.
function GetScript(filename) {
	var script = document.createElement('script')
	script.setAttribute("type", "text/javascript")
	script.setAttribute("src", filename)
	if (typeof script != "undefined")
		document.getElementsByTagName("head")[0].appendChild(script)
}

function TryJQueryReady(time_elapsed) {
	// Continually polls to see if jQuery is loaded.
	if (typeof $ == "undefined") { // if jQuery isn't loaded yet...
		if (time_elapsed <= 5000) { // and we havn't given up trying...
			setTimeout("TryJQueryReady(" + (time_elapsed + 200) + ")", 200); // set a timer to check again in 200 ms.
		} else {
			alert("Timed out while loading jQuery.")
		}
	} else {
		SupportWidgetStep2();
	}
}

function TryFancyboxReady(time_elapsed) {
	// Continually polls to see if jQuery is loaded.
	if (typeof $.fancybox == "undefined") { // if jQuery isn't loaded yet...
		if (time_elapsed <= 5000) { // and we havn't given up trying...
			setTimeout("TryFancyboxReady(" + (time_elapsed + 200) + ")", 200); // set a timer to check again in 200 ms.
		} else {
			alert("Timed out while loading script...")
		}
	} else {
		SupportWidgetStep3();
	}
}